	.objcmt	Softools, Inc. ** Control Cross-C Compiler ** Version 1.59e
	.objcmt	Copyright 1989 - 1993, Softools, Inc.  All rights reserved.
	.z280
	.debug	P 3
	.debug	X 11 10
	.debug	X 12 10
	.debug	N C:\GLIB340\GDP340\GM\ZILOG\DEMOS\DEMO07.C 29 16 11 16 3 13
;1 /*----------------------------------------------------------------------
;2  *			 TMS340 Graphics Library
;3  *       Copyright (c) 1988-1990 Texas Instruments Incorporated.
;4  *                         All Rights Reserved
;5  *----------------------------------------------------------------------
;6  * Demonstration Program
;7  *
;8  *   Use put_pixel function to draw fractal fern.  A pointillistic
;9  *   technique is employed to render the fern (the program draws a bunch
;10  *   of dots).	The fractal algorithm used is described in an article by
;11  *   M.F. Barnsley and A.C. Sloan entitled "A Better Way to Compress
;12  *   Images" (BYTE, Jan. 1988, pages 215-223.)  It turns out that this is
;13  *   not a better way to compress images, but it does draw a great fern.
;14  *----------------------------------------------------------------------
;15  * Revision History:
;16  *   09/02/88...Original version written...................J.R. Van Aken
;17  *   03/26/90...Modified for general portability...........J.R. Van Aken
;18  *   03.02.1993	Anpassung an GDP340 GM			Reinhard Niebur
;19  *----------------------------------------------------------------------
;20  */
;21 
;22 #include "gmtest.h"
;23 
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\GMTEST.H 8 5 11 31 3 13
	.debug	I C:\SC280\INCLUDE\STDIO.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STDLIB.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STRING.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\MATH.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GM.H 20 25 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMTYPES.H 20 14 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCOLORS.H 26 53 15 19 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFONTS.H 7 54 7 16 2 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCURSOR.H 11 45 7 2 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFUNC.H 0 45 9 15 3 13
	.debug	I
	.debug	I
;24 CONFIG cfg;
;25 FONTINFO fontinfo;
;26 short hres,vres,x,y;
;27 short patn,penw,penh;
;28 char s[129];
;29 
;30 #define M	  4	  /* no. of levels of detail in fern structure */
;31 #define MAXRAND   32768.0   /* max. value returned by rand function */
;32 
;33 /* Fractal coefficients a, b, c, d, e, f and pk for M = 4 levels */
;34 static double data[] = {
;35    .85, -.04, .04, .85, 1.6, 0, .85,
	.dseg
_data:	.dw	0x999a, 0x3f59
	.dw	0xd70a, 0xbd23
	.dw	0xd70a, 0x3d23
	.dw	0x999a, 0x3f59
	.dw	0xcccd, 0x3fcc
	.dw	0, 0
	.dw	0x999a, 0x3f59
;36    .22, .23, -.26, .2, 1.6, 0, .07,
	.dw	0x47ae, 0x3e61
	.dw	0x851f, 0x3e6b
	.dw	0x1eb8, 0xbe85
	.dw	0xcccd, 0x3e4c
	.dw	0xcccd, 0x3fcc
	.dw	0, 0
	.dw	0x5c29, 0x3d8f
;37    .24, .26, .28, -.15, .44, 0, .07,
	.dw	0xc28f, 0x3e75
	.dw	0x1eb8, 0x3e85
	.dw	0x5c29, 0x3e8f
	.dw	0x999a, 0xbe19
	.dw	0x47ae, 0x3ee1
	.dw	0, 0
	.dw	0x5c29, 0x3d8f
;38    .16, 0, 0, 0, 0, 0, .01,
	.dw	0xd70a, 0x3e23
	.dw	0, 0
	.dw	0, 0
	.dw	0, 0
	.dw	0, 0
	.dw	0, 0
	.dw	0xd70a, 0x3c23
;39 };
	.debug	F _data 32 0
;40 
;41 /* Print error message and exit. */
;42 void error(char *str)
;43 {
	.cseg
	.align	2
_error::	.debug	G _error 33 1
	.debug	{ _error 33 42 @2 @3
	push	ix
	lda	ix,(sp+0)
                                                                          
	.debug	A str 4 34
;44     printf("[ Error: ");
	.debug	# 44
	ld	hl,@1
	push	hl
	call	_printf
	pop	de
;45     if (!*str)
	.debug	# 45
	ld	hl,(ix+4)
	ld	a,(hl)
	or	a
	jr	nz,@4  
;46         printf("Unexpected EOF");
	.debug	# 46
	ld	hl,@1+10
	push	hl
	call	_printf
	pop	de
;47     else
;48         printf("%s",str);
	jr	   @5  
@4:	.debug	# 48
	ld	hl,(ix+4)
	push	hl
	ld	hl,@1+25
	push	hl
	call	_printf
	pop	de
	pop	de
;49     printf(" ]\n");
@5:	.debug	# 49
	ld	hl,@1+28
	push	hl
	call	_printf
	pop	de
;50     exit(1);
	.debug	# 50
	ld	hl,0x1
	push	hl
	call	_exit
	pop	hl
;51 }
@3:	.debug	} @3 51

@2	equ	0
	pop	ix
	ret
;52 
;53 void main(void)
;54 {
	.align	2
_main::	.debug	G _main 35 1
	.debug	{ _main 35 53 @6 @7
	push	ix
	lda	ix,(sp+0)
	lda	hl,(sp-@6)
	ld	sp,hl
                                              
;55 double a[M+1], b[M+1], c[M+1], d[M+1], e[M+1], f[M+1], p[M+1];
	.debug	L a -20 36
	.debug	L b -40 36
	.debug	L c -60 36
	.debug	L d -80 36
	.debug	L e -100 36
	.debug	L f -120 36
	.debug	L p -140 36
;56 double *q, scale, pk, x, y, newx, newy;
	.debug	L q -142 37
	.debug	L scale -146 11
	.debug	L pk -150 11
	.debug	L x -154 11
	.debug	L y -158 11
	.debug	L newx -162 11
	.debug	L newy -166 11
;57 short i, j, k, n;
	.debug	L i -168 4
	.debug	L j -170 4
	.debug	L k -172 4
	.debug	L n -174 4
;58 unsigned long fcolor;
	.debug	L fcolor -178 9
;59 
;60     if (!gm_init())
	.debug	# 60
	call	_gm_init
	ld	a,l
	or	h
	jr	nz,@8  
;61         error("No Response from GDP");
	.debug	# 61
	ld	hl,@1+32
	push	hl
	call	_error
	pop	hl
;62 
;63     /* Initialize graphics environment. */
;64     if (!set_config(MODE, 1))
@8:	.debug	# 64
	ld	hl,0x1
	push	hl
	subw	hl,hl
	push	hl
	call	_set_config
	pop	de
	pop	de
	ld	a,l
	or	h
	jr	nz,@9  
;65 	error("Invalid graphics mode number");
	.debug	# 65
	ld	hl,@1+53
	push	hl
	call	_error
	pop	hl
;66     clear_screen(-1);
@9:	.debug	# 66
	ld	de,0xffff
	ld	bc,0xffff
	push	bc
	push	de
	call	_clear_screen
	pop	hl
	pop	hl
;67     get_config(&cfg);
	.debug	# 67
	ld	hl,_cfg
	push	hl
	call	_get_config
	pop	hl
;68     hres = cfg.mode.disp_hres;	 /* horizontal resolution */
	.debug	# 68
	ld	hl,(_cfg+56)
	ld	(_hres),hl
;69     vres = cfg.mode.disp_vres;	 /* vertical resolution */
	.debug	# 69
	ld	hl,(_cfg+54)
	ld	(_vres),hl
;70     fcolor = get_nearest_color(0x00, 0xFF, 0x00, 0xFF);  /* green */
	.debug	# 70
	ld	hl,0xff
	push	hl
	subw	hl,hl
	push	hl
	ld	hl,0xff
	push	hl
	subw	hl,hl
	push	hl
	call	_get_nearest_color
	pop	hl
	pop	hl
	pop	hl
	pop	hl
	lda	hl,(sp-178+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;71     set_draw_origin(0, vres/2);
	.debug	# 71
	ld	hl,(_vres)
	sra	h
	rr	l
	push	hl
	subw	hl,hl
	push	hl
	call	_set_draw_origin
	pop	hl
	pop	hl
;72 
;73     /* Copy a, b, c, d, e, f and p data for levels k = 1, 2, 3 and 4. */
;74     q = data;
	.debug	# 74
	ld	hl,_data
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	(hl),de
;75     p[0] = 0;
	.debug	# 75
	ld	de,0
	ld	c,d
	ld	b,d
	lda	hl,(sp-140+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;76     for (k = 1; k <= M; ++k)
	.debug	# 76
	ld	hl,0x1
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	(hl),de
@10:	ld	hl,(ix-172)
	ld	de,0x4
	call	__icmp##
	jr	 z,@12 
	jp	nc,@11 
@12:;77     {
;78 	a[k] = *q++;
@14:	.debug	< @14 @15
	.debug	# 78
	ld	hl,(ix-142)
	lda	hl,(hl+4)
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	(hl),de
	ex	de,hl
	lda	hl,(hl+-4)
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	hl,(hl)
	add	hl,hl
	add	hl,hl
	ld	c,e
	ld	b,d
	ex	de,hl
	lda	hl,(sp-20+@6)
	add	hl,de
	ex	de,hl
	ld	l,c
	ld	h,b
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	pop	hl
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;79 	b[k] = *q++;
	.debug	# 79
	ld	hl,(ix-142)
	lda	hl,(hl+4)
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	(hl),de
	ex	de,hl
	lda	hl,(hl+-4)
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	hl,(hl)
	add	hl,hl
	add	hl,hl
	ld	c,e
	ld	b,d
	ex	de,hl
	lda	hl,(sp-40+@6)
	add	hl,de
	ex	de,hl
	ld	l,c
	ld	h,b
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	pop	hl
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;80 	c[k] = *q++;
	.debug	# 80
	ld	hl,(ix-142)
	lda	hl,(hl+4)
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	(hl),de
	ex	de,hl
	lda	hl,(hl+-4)
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	hl,(hl)
	add	hl,hl
	add	hl,hl
	ld	c,e
	ld	b,d
	ex	de,hl
	lda	hl,(sp-60+@6)
	add	hl,de
	ex	de,hl
	ld	l,c
	ld	h,b
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	pop	hl
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;81 	d[k] = *q++;
	.debug	# 81
	ld	hl,(ix-142)
	lda	hl,(hl+4)
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	(hl),de
	ex	de,hl
	lda	hl,(hl+-4)
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	hl,(hl)
	add	hl,hl
	add	hl,hl
	ld	c,e
	ld	b,d
	ex	de,hl
	lda	hl,(sp-80+@6)
	add	hl,de
	ex	de,hl
	ld	l,c
	ld	h,b
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	pop	hl
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;82 	e[k] = *q++;
	.debug	# 82
	ld	hl,(ix-142)
	lda	hl,(hl+4)
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	(hl),de
	ex	de,hl
	lda	hl,(hl+-4)
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	hl,(hl)
	add	hl,hl
	add	hl,hl
	ld	c,e
	ld	b,d
	ex	de,hl
	lda	hl,(sp-100+@6)
	add	hl,de
	ex	de,hl
	ld	l,c
	ld	h,b
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	pop	hl
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;83 	f[k] = *q++;
	.debug	# 83
	ld	hl,(ix-142)
	lda	hl,(hl+4)
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	(hl),de
	ex	de,hl
	lda	hl,(hl+-4)
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	hl,(hl)
	add	hl,hl
	add	hl,hl
	ld	c,e
	ld	b,d
	ex	de,hl
	lda	hl,(sp-120+@6)
	add	hl,de
	ex	de,hl
	ld	l,c
	ld	h,b
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	pop	hl
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;84 	p[k] = p[k-1] + *q++;
	.debug	# 84
	ld	hl,(ix-172)
	dec	hl
	add	hl,hl
	add	hl,hl
	ex	de,hl
	lda	hl,(sp-140+@6)
	add	hl,de
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	hl,(hl)
	lda	hl,(hl+4)
	ld	c,e
	ld	b,d
	ex	de,hl
	lda	hl,(sp-142+@6)
	ld	(hl),de
	ex	de,hl
	lda	hl,(hl+-4)
	ex	de,hl
	ld	l,c
	ld	h,b
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	pop	hl
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fadd##
	ld	hl,(ix-172)
	add	hl,hl
	add	hl,hl
	push	bc
	push	de
	ex	de,hl
	lda	hl,(sp-136+@6)
	add	hl,de
	pop	de
	pop	bc
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;85     }
@15:	.debug	>
;86 
;87     /* Each iteration of loop below draws a dot to the screen. */
;88     x = y = 0;
@13:	ld	hl,(ix-172)
	inc	hl
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	(hl),de
	jp	   @10 
@11:	.debug	# 88
	ld	de,0
	ld	c,d
	ld	b,d
	lda	hl,(sp-158+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
	lda	hl,(sp-154+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;89     scale = 0.092*hres;
	.debug	# 89
	ld	hl,(_hres)
	ex	de,hl
	call	__itof##
	push	bc
	push	de
	ld	de,0x6a7f
	ld	bc,0x3dbc
	call	__fmlt##
	lda	hl,(sp-146+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;90     n = 10;
	.debug	# 90
	ld	hl,0xa
	ex	de,hl
	lda	hl,(sp-174+@6)
	ld	(hl),de
;91     for (;;) {
@16:
@18:;92 	/* Randomly select 1 of 4 levels of detail in fern structure. */
;93 	pk = rand()/MAXRAND;
@19:	.debug	< @19 @20
	.debug	# 93
	call	_rand
	ex	de,hl
	call	__itof##
	push	bc
	push	de
	ld	de,0
	ld	bc,0x4700
	call	__fdiv##
	lda	hl,(sp-150+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;94 	if (pk <= p[1])
	.debug	# 94
	lda	hl,(sp-150+@6)
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-136+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fsub##
	jr	 z,@22 
	jp	 p,@21 
@22:;95 	    k = 1;
	.debug	# 95
	ld	hl,0x1
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	(hl),de
;96 	else if (pk <= p[2])
	jr	   @23 
@21:	.debug	# 96
	lda	hl,(sp-150+@6)
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-132+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fsub##
	jr	 z,@25 
	jp	 p,@24 
@25:;97 	    k = 2;
	.debug	# 97
	ld	hl,0x2
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	(hl),de
;98 	else if (pk <= p[3])
	jr	   @26 
@24:	.debug	# 98
	lda	hl,(sp-150+@6)
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-128+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fsub##
	jr	 z,@28 
	jp	 p,@27 
@28:;99 	    k = 3;
	.debug	# 99
	ld	hl,0x3
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	(hl),de
;100         else
;101 	    k = 4;
	jr	   @29 
@27:	.debug	# 101
	ld	hl,0x4
	ex	de,hl
	lda	hl,(sp-172+@6)
	ld	(hl),de
;102 
;103 	/* Rotate and translate x-y coordinates. */
;104 	newx = a[k]*x + b[k]*y + e[k];
@29:
@26:
@23:	.debug	# 104
	ld	hl,(ix-172)
	add	hl,hl
	add	hl,hl
	ex	de,hl
	lda	hl,(sp-20+@6)
	add	hl,de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-154+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fmlt##
	ld	hl,(ix-172)
	add	hl,hl
	add	hl,hl
	push	bc
	push	de
	ex	de,hl
	lda	hl,(sp-36+@6)
	add	hl,de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-154+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fmlt##
	call	__fadd##
	ld	hl,(ix-172)
	add	hl,hl
	add	hl,hl
	push	bc
	push	de
	ex	de,hl
	lda	hl,(sp-96+@6)
	add	hl,de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fadd##
	lda	hl,(sp-162+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;105 	newy = c[k]*x + d[k]*y + f[k];
	.debug	# 105
	ld	hl,(ix-172)
	add	hl,hl
	add	hl,hl
	ex	de,hl
	lda	hl,(sp-60+@6)
	add	hl,de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-154+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fmlt##
	ld	hl,(ix-172)
	add	hl,hl
	add	hl,hl
	push	bc
	push	de
	ex	de,hl
	lda	hl,(sp-76+@6)
	add	hl,de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-154+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fmlt##
	call	__fadd##
	ld	hl,(ix-172)
	add	hl,hl
	add	hl,hl
	push	bc
	push	de
	ex	de,hl
	lda	hl,(sp-116+@6)
	add	hl,de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fadd##
	lda	hl,(sp-166+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;106         x = newx;
	.debug	# 106
	lda	hl,(sp-162+@6)
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-154+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;107         y = newy;
	.debug	# 107
	lda	hl,(sp-166+@6)
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-158+@6)
	ld	(hl),de
	inc	hl
	inc	hl
	ld	(hl),bc
;108 	i = scale*x;
	.debug	# 108
	lda	hl,(sp-146+@6)
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-154+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fmlt##
	call	__ftol##
	ex	de,hl
	ld	(ix-168),hl
;109 	j = scale*y;
	.debug	# 109
	lda	hl,(sp-146+@6)
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	lda	hl,(sp-158+@6)
	push	bc
	push	de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	call	__fmlt##
	call	__ftol##
	ex	de,hl
	ld	(ix-170),hl
;110 	if (n)
	.debug	# 110
	ld	hl,(ix-174)
	ld	a,l
	or	h
	jr	 z,@30 
;111 	    n--;
	.debug	# 111
	ld	hl,(ix-174)
	dec	hl
	ex	de,hl
	lda	hl,(sp-174+@6)
	ld	(hl),de
;112 	else
;113 	    put_pixel(fcolor, i, -j);
	jr	   @31 
@30:	.debug	# 113
	ld	hl,(ix-170)
	neg	hl
	push	hl
	ld	hl,(ix-168)
	push	hl
	lda	hl,(sp-174+@6)
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	push	bc
	push	de
	call	_put_pixel
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;114 	if (kbhit())
@31:	.debug	# 114
	call	_kbhit
	ld	a,l
	or	h
	jp	 z,@16 
;115 	    break;
;116     }
;jp	   @17 
@32:
@20:	.debug	>
;117     getch();
;jp	   @16 
@17:	.debug	# 117
	call	_ReadUser
;118     clear_page(BLACK);
	.debug	# 118
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;119 }
@7:	.debug	} @7 119

@6	equ	178
	ld	sp,ix
	pop	ix
	ret
;120 
	.bseg
_s::	.ds	129
	.debug	G _s 38 0
_penh::	.ds	2
	.debug	G _penh 4 0
_penw::	.ds	2
	.debug	G _penw 4 0
_patn::	.ds	2
	.debug	G _patn 4 0
_y::	.ds	2
	.debug	G _y 4 0
_x::	.ds	2
	.debug	G _x 4 0
_vres::	.ds	2
	.debug	G _vres 4 0
_hres::	.ds	2
	.debug	G _hres 4 0
_fontinfo::	.ds	58
	.debug	G _fontinfo 39 0
_cfg::	.ds	90
	.debug	G _cfg 40 0
	.extern	_set_draw_origin 41
	.extern	_set_config 42
	.extern	_put_pixel 43
	.extern	_get_nearest_color 44
	.extern	_get_config 45
	.extern	_clear_screen 46
	.extern	_clear_page 46
	.extern	_gm_init 47
	.extern	_ReadUser 48
	.extern	_kbhit 49
	.extern	_rand 49
	.extern	_exit 50
	.extern	_printf 51
	.debug	T	090001200070000B001C00
	.debug	T	0B000221000100010022000000
	.debug	T	070000220002000300
	.debug	T	0B000223000100010001000000
	.debug	T	090001240014000B000500
	.debug	T	070000250002000B00
	.debug	T	0900012600810003008100
	.debug	T	B5000327003A000E0001003400000009666163656E616D65000400
	.debug	T	1E00066465666C740004002000066669727374000400220005
	.debug	T	6C6173740004002400086D6178776964650004002600086176
	.debug	T	67776964650004002800086D61786B65726E0004002A000963
	.debug	T	686172776964650004002C000963686172686967680004002E
	.debug	T	0007617363656E7400040030000864657363656E7400040032
	.debug	T	00086C656164696E67000900340008666F6E74707472000400
	.debug	T	380003696400
	.debug	T	2C010328005A0010000100050000000F76657273696F6E5F6E756D
	.debug	T	62657200090002000F636F6D6D5F627566665F73697A650009
	.debug	T	0006000A7379735F666C6167730009000A000B646576696365
	.debug	T	5F7265760005000E000A6E756D5F6D6F64657300050010000D
	.debug	T	63757272656E745F6D6F646500090012001270726F6772616D
	.debug	T	5F6D656D5F737461727400090016001070726F6772616D5F6D
	.debug	T	656D5F656E640009001A0012646973706C61795F6D656D5F73
	.debug	T	746172740009001E0010646973706C61795F6D656D5F656E64
	.debug	T	00090022000B737461636B5F73697A65000900260010736861
	.debug	T	7265645F6D656D5F73697A650035002A00117368617265645F
	.debug	T	686F73745F616464720005002C00046761700009002E001073
	.debug	T	68617265645F6773705F616464720036003200056D6F646500
	.debug	T	0F00022900020001000400000004000200
	.debug	T	0F00022A00020004000400000004000200
	.debug	T	1300022B0003000100090000000400040004000600
	.debug	T	1700022C000400090003000000030002000300040003000600
	.debug	T	0B00022D000100010037000000
	.debug	T	0B00022E000100010009000000
	.debug	T	0B00022F000100040001000000
	.debug	T	0B000230000100030001000000
	.debug	T	0B000231000100060001000000
	.debug	T	0B000232000100010006000000
	.debug	T	0F0002330002000600220000000D000000
	.debug	T	09000134001E0003001E00
	.debug	T	070000350002000100
	.debug	T	0C0103360028000F000100090000000B646973705F706974636800
	.debug	T	050004000A646973705F7672657300050006000A646973705F
	.debug	T	6872657300040008000C73637265656E5F776964650004000A
	.debug	T	000C73637265656E5F686967680005000C000B646973705F70
	.debug	T	73697A650009000E000B706978656C5F6D61736B0005001200
	.debug	T	1070616C65745F67756E5F646570746800090014000B70616C
	.debug	T	65745F73697A6500040018000C70616C65745F696E73657400
	.debug	T	05001A000A6E756D5F70616765730004001C00126E756D5F6F
	.debug	T	66667363726E5F61726561730009001E000A776B73705F6164
	.debug	T	647200090022000B776B73705F706974636800050026001373
	.debug	T	696C69636F6E5F6361706162696C69747900
	.debug	T	070000370002002800
	.defseg	CONST
	.seg	CONST
@1:
	.db	"[ Error: ",0,"Unexpected EOF",0,"%s",0
	.db	" ]",10,0,"No Response from GDP",0,"In"
	.db	"valid graphics mode number",0
	.end
