	.objcmt	Softools, Inc. ** Control Cross-C Compiler ** Version 1.59e
	.objcmt	Copyright 1989 - 1993, Softools, Inc.  All rights reserved.
	.z280
	.debug	P 3
	.debug	X 11 10
	.debug	X 12 10
	.debug	N C:\GLIB340\GDP340\GM\ZILOG\DEMOS\DEMO08.C 29 14 12 16 3 13
;1 /*----------------------------------------------------------------------
;2  *			 TMS340 Graphics Library
;3  *       Copyright (c) 1987-1990 Texas Instruments Incorporated.
;4  *                         All Rights Reserved
;5  *----------------------------------------------------------------------
;6  * Demonstration Program
;7  *
;8  *   Test pen_line and patnpen_line functions.	Draw fat lines emanating
;9  *   in circular pattern from center of screen.  Alternate frames of
;10  *   solid-colored with frames of pattern-filled lines.  Insert 1-second
;11  *   delay between frames.
;12  *----------------------------------------------------------------------
;13  * Revision History:
;14  *   07/01/87...Original version written...................J.R. Van Aken
;15  *   04/12/90...Modified for general portability...........J.R. Van Aken
;16  *   04.02.1993	Anpassung an GDP340 GM			Reinhard Niebur
;17  *----------------------------------------------------------------------
;18  */
;19 
;20 #include "gmtest.h"
;21 
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\GMTEST.H 8 5 11 31 3 13
	.debug	I C:\SC280\INCLUDE\STDIO.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STDLIB.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STRING.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\MATH.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GM.H 20 25 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMTYPES.H 20 14 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCOLORS.H 26 53 15 19 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFONTS.H 7 54 7 16 2 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCURSOR.H 11 45 7 2 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFUNC.H 0 45 9 15 3 13
	.debug	I
	.debug	I
;22 CONFIG cfg;
;23 FONTINFO fontinfo;
;24 long hres,vres,x,y;
;25 short patn,penw,penh;
;26 char s[129];
;27 
;28 /* Print error message and exit. */
;29 void error(char *str)
;30 {
	.align	2
_error::	.debug	G _error 32 1
	.debug	{ _error 32 29 @2 @3
	push	ix
	lda	ix,(sp+0)
                                                                          
	.debug	A str 4 33
;31     printf("[ Error: ");
	.debug	# 31
	ld	hl,@1
	push	hl
	call	_printf
	pop	de
;32     if (!*str)
	.debug	# 32
	ld	hl,(ix+4)
	ld	a,(hl)
	or	a
	jr	nz,@4  
;33         printf("Unexpected EOF");
	.debug	# 33
	ld	hl,@1+10
	push	hl
	call	_printf
	pop	de
;34     else
;35         printf("%s",str);
	jr	   @5  
@4:	.debug	# 35
	ld	hl,(ix+4)
	push	hl
	ld	hl,@1+25
	push	hl
	call	_printf
	pop	de
	pop	de
;36     printf(" ]\n");
@5:	.debug	# 36
	ld	hl,@1+28
	push	hl
	call	_printf
	pop	de
;37     exit(1);
	.debug	# 37
	ld	hl,0x1
	push	hl
	call	_exit
	pop	hl
;38 }
@3:	.debug	} @3 38

@2	equ	0
	pop	ix
	ret
;39 
;40 void main(void)
;41 {
	.align	2
_main::	.debug	G _main 34 1
	.debug	{ _main 34 40 @6 @7
	push	ix
	lda	ix,(sp+0)
	lda	hl,(sp-@6)
	ld	sp,hl
                                              
;42 long r, t, rmin, rmax;
	.debug	L r -4 8
	.debug	L t -8 8
	.debug	L rmin -12 8
	.debug	L rmax -16 8
;43 long color0, color1;
	.debug	L color0 -20 8
	.debug	L color1 -24 8
;44 
;45     if (!gm_init())
	.debug	# 45
	call	_gm_init
	ld	a,l
	or	h
	jr	nz,@8  
;46         error("No Response from GDP");
	.debug	# 46
	ld	hl,@1+32
	push	hl
	call	_error
	pop	hl
;47 
;48     /* Initialize graphics environment. */
;49     if (!set_config(MODE, 1))
@8:	.debug	# 49
	ld	hl,0x1
	push	hl
	subw	hl,hl
	push	hl
	call	_set_config
	pop	de
	pop	de
	ld	a,l
	or	h
	jr	nz,@9  
;50 	error("Invalid graphics mode number");
	.debug	# 50
	ld	hl,@1+53
	push	hl
	call	_error
	pop	hl
;51     clear_screen(-1);
@9:	.debug	# 51
	ld	de,0xffff
	ld	bc,0xffff
	push	bc
	push	de
	call	_clear_screen
	pop	hl
	pop	hl
;52     get_config(&cfg);
	.debug	# 52
	ld	hl,_cfg
	push	hl
	call	_get_config
	pop	hl
;53     hres = cfg.mode.disp_hres;	 /* horizontal resolution */
	.debug	# 53
	ld	hl,(_cfg+56)
	ex	de,hl
	ld	bc,0
	ld	(_hres),de
	ld	(_hres+2),bc
;54     vres = cfg.mode.disp_vres;	 /* vertical resolution */
	.debug	# 54
	ld	hl,(_cfg+54)
	ex	de,hl
	ld	bc,0
	ld	(_vres),de
	ld	(_vres+2),bc
;55     set_draw_origin((short)hres/2, (short)vres/2);
	.debug	# 55
	ld	hl,(_vres)
	sra	h
	rr	l
	push	hl
	ld	hl,(_hres)
	sra	h
	rr	l
	push	hl
	call	_set_draw_origin
	pop	hl
	pop	hl
;56     color0 = 0;
	.debug	# 56
	ld	de,0
	ld	c,d
	ld	b,d
	ld	(ix-20),de
	ld	(ix-18),bc
;57     color1 = -1;
	.debug	# 57
	ld	de,0xffff
	ld	bc,0xffff
	ld	(ix-24),de
	ld	(ix-22),bc
;58     patn = 0;
	.debug	# 58
	subw	hl,hl
	ld	(_patn),hl
;59     rmin = hres << 16-5;
	.debug	# 59
	ld	de,(_hres)
	ld	bc,(_hres+2)
	ld	a,0xb
	call	__lshl##
	ld	(ix-12),de
	ld	(ix-10),bc
;60     rmax = (hres > vres) ? vres << 16-1 : hres << 16-1 ;
	.debug	# 60
	ld	de,(_hres)
	ld	bc,(_hres+2)
	push	bc
	push	de
	ld	de,(_vres)
	ld	bc,(_vres+2)
	call	__lcmp##
	jr	 c,@10 
	jr	 z,@10 
	ld	de,(_vres)
	ld	bc,(_vres+2)
	ld	a,0xf
	call	__lshl##
	jr	   @11 
@10:	ld	de,(_hres)
	ld	bc,(_hres+2)
	ld	a,0xf
	call	__lshl##
@11:	ld	(ix-16),de
	ld	(ix-14),bc
;61 
;62     /* Loop below draws circular patterns of fat lines until kbhit. */
;63     for (;;)
@12:
@14:;64     {
;65 	/* Draw solid-colored fat lines. */
;66 	set_pensize((short)(1+hres/200), (short)(1+vres/200));
@15:	.debug	< @15 @16
	.debug	# 66
	ld	de,(_vres)
	ld	bc,(_vres+2)
	push	bc
	push	de
	ld	de,0xc8
	ld	c,d
	ld	b,d
	call	__ldiv##
	ld	hl,1
	add	hl,de
	ex	de,hl
	jr	nc,@17
	inc	bc
@17:	push	de
	ld	de,(_hres)
	ld	bc,(_hres+2)
	push	bc
	push	de
	ld	de,0xc8
	ld	c,d
	ld	b,d
	call	__ldiv##
	ld	hl,1
	add	hl,de
	ex	de,hl
	jr	nc,@18
	inc	bc
@18:	push	de
	ex	de,hl
	call	_set_pensize
	pop	hl
	pop	hl
;67 	clear_screen(-1);
	.debug	# 67
	ld	de,0xffff
	ld	bc,0xffff
	push	bc
	push	de
	call	_clear_screen
	pop	hl
	pop	hl
;68 	for (r = rmin; r <= rmax; r += r/16)
	.debug	# 68
	ld	de,(ix-12)
	ld	bc,(ix-10)
	ld	(ix-4),de
	ld	(ix-2),bc
@19:	ld	de,(ix-4)
	ld	bc,(ix-2)
	push	bc
	push	de
	ld	de,(ix-16)
	ld	bc,(ix-14)
	call	__lcmp##
	jr	 z,@21 
	jp	nc,@20 
@21:;69 	{
;70             x = 0;
@23:	.debug	< @23 @24
	.debug	# 70
	ld	de,0
	ld	c,d
	ld	b,d
	ld	(_x),de
	ld	(_x+2),bc
;71 	    y = -r;
	.debug	# 71
	ld	de,(ix-4)
	ld	bc,(ix-2)
	xor	a
	sub	e
	ld	e,a
	ld	a,0
	sbc	d
	ld	d,a
	ld	a,0
	sbc	c
	ld	c,a
	ld	a,0
	sbc	b
	ld	b,a
	ld	(_y),de
	ld	(_y+2),bc
;72 	    for (t = 202; t != 0; t--)
	.debug	# 72
	ld	de,0xca
	ld	c,d
	ld	b,d
	ld	(ix-8),de
	ld	(ix-6),bc
@25:	ld	de,(ix-8)
	ld	bc,(ix-6)
	ld	a,e
	or	d
	or	c
	or	b
	jp	 z,@26 
;73 	    {
;74 		if (cfg.mode.disp_psize >= 4)  /* color display? */
@28:	.debug	< @28 @29
	.debug	# 74
	ld	hl,(_cfg+62)
	ld	de,0x4
	subw	hl,de
	jr	 c,@30 
;75 		    set_fcolor(color1--);
	.debug	# 75
	ld	de,(ix-24)
	ld	bc,(ix-22)
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@31
	dec	bc
@31:	ld	(ix-24),de
	ld	(ix-22),bc
	ld	hl,1
	add	hl,de
	ex	de,hl
	jr	nc,@32
	inc	bc
@32:	push	bc
	push	de
	call	_set_fcolor
	pop	hl
	pop	hl
;76 		pen_line((short)(x-x/4>>16), (short)(y-y/4>>16),
@30:;77 			 (short)(x>>16), (short)(y>>16));
	.debug	# 77
	ld	de,(_y)
	ld	bc,(_y+2)
	ld	a,0x10
	call	__lshr##
	push	de
	ld	de,(_x)
	ld	bc,(_x+2)
	ld	a,0x10
	call	__lshr##
	push	de
	ld	de,(_y)
	ld	bc,(_y+2)
	ld	a,0x2
	call	__lshr##
	push	bc
	push	de
	ld	de,(_y)
	ld	bc,(_y+2)
	call	__lsubr##
	ld	a,0x10
	call	__lshr##
	push	de
	ld	de,(_x)
	ld	bc,(_x+2)
	ld	a,0x2
	call	__lshr##
	push	bc
	push	de
	ld	de,(_x)
	ld	bc,(_x+2)
	call	__lsubr##
	ld	a,0x10
	call	__lshr##
	push	de
	ex	de,hl
	call	_pen_line
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;78                 x -= y >> 5;
	.debug	# 78
	ld	de,(_y)
	ld	bc,(_y+2)
	ld	a,0x5
	call	__lshr##
	push	bc
	push	de
	ld	de,(_x)
	ld	bc,(_x+2)
	call	__lsubr##
	ld	(_x),de
	ld	(_x+2),bc
;79                 y += x >> 5;
	.debug	# 79
	ld	de,(_x)
	ld	bc,(_x+2)
	ld	a,0x5
	call	__lshr##
	push	bc
	push	de
	ld	de,(_y)
	ld	bc,(_y+2)
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(_y),de
	ld	(_y+2),bc
;80             }
@29:	.debug	>
;81 	    if (kbhit())
@27:	ld	de,(ix-8)
	ld	bc,(ix-6)
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@33
	dec	bc
@33:	ld	(ix-8),de
	ld	(ix-6),bc
	jp	   @25 
@26:	.debug	# 81
	call	_kbhit
	ld	a,l
	or	h
	jr	 z,@34 
;82 	    {
;83 		getch();
@35:	.debug	< @35 @36
	.debug	# 83
	call	_ReadUser
;84 		clear_page(BLACK);
	.debug	# 84
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;85 		return;
	.debug	# 85
;86 	    }
	jp	   @7  
@36:;87 	}
@34:
@24:	.debug	>
;88 	delay(60);	/* 1-second delay */
@22:	ld	de,(ix-4)
	ld	bc,(ix-2)
	ld	a,0x4
	call	__lshr##
	push	bc
	push	de
	ld	de,(ix-4)
	ld	bc,(ix-2)
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(ix-4),de
	ld	(ix-2),bc
	jp	   @19 
@20:	.debug	# 88
	ld	hl,0x3c
	push	hl
	call	_delay
	pop	hl
;89 
;90 	/* Draw pattern-filled fat lines. */
;91 	set_pensize((short)(2+hres/100), (short)(2+vres/100));
	.debug	# 91
	ld	de,(_vres)
	ld	bc,(_vres+2)
	push	bc
	push	de
	ld	de,0x64
	ld	c,d
	ld	b,d
	call	__ldiv##
	push	bc
	push	de
	ld	de,0x2
	ld	c,d
	ld	b,d
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	push	de
	ld	de,(_hres)
	ld	bc,(_hres+2)
	push	bc
	push	de
	ld	de,0x64
	ld	c,d
	ld	b,d
	call	__ldiv##
	push	bc
	push	de
	ld	de,0x2
	ld	c,d
	ld	b,d
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	push	de
	ex	de,hl
	call	_set_pensize
	pop	hl
	pop	hl
;92 	clear_screen(-1);
	.debug	# 92
	ld	de,0xffff
	ld	bc,0xffff
	push	bc
	push	de
	call	_clear_screen
	pop	hl
	pop	hl
;93 	for (r = rmin; r <= rmax; r += r/16)
	.debug	# 93
	ld	de,(ix-12)
	ld	bc,(ix-10)
	ld	(ix-4),de
	ld	(ix-2),bc
@37:	ld	de,(ix-4)
	ld	bc,(ix-2)
	push	bc
	push	de
	ld	de,(ix-16)
	ld	bc,(ix-14)
	call	__lcmp##
	jr	 z,@39 
	jp	nc,@38 
@39:;94 	{
;95             x = 0;
@41:	.debug	< @41 @42
	.debug	# 95
	ld	de,0
	ld	c,d
	ld	b,d
	ld	(_x),de
	ld	(_x+2),bc
;96 	    y = -r;
	.debug	# 96
	ld	de,(ix-4)
	ld	bc,(ix-2)
	xor	a
	sub	e
	ld	e,a
	ld	a,0
	sbc	d
	ld	d,a
	ld	a,0
	sbc	c
	ld	c,a
	ld	a,0
	sbc	b
	ld	b,a
	ld	(_y),de
	ld	(_y+2),bc
;97 	    for (t = 101; t != 0; t--)
	.debug	# 97
	ld	de,0x65
	ld	c,d
	ld	b,d
	ld	(ix-8),de
	ld	(ix-6),bc
@43:	ld	de,(ix-8)
	ld	bc,(ix-6)
	ld	a,e
	or	d
	or	c
	or	b
	jp	 z,@44 
;98 	    {
;99 		set_colors(color1--, color0++);
@46:	.debug	< @46 @47
	.debug	# 99
	ld	de,(ix-20)
	ld	bc,(ix-18)
	ld	hl,1
	add	hl,de
	ex	de,hl
	jr	nc,@48
	inc	bc
@48:	ld	(ix-20),de
	ld	(ix-18),bc
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@49
	dec	bc
@49:	push	bc
	push	de
	ld	de,(ix-24)
	ld	bc,(ix-22)
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@50
	dec	bc
@50:	ld	(ix-24),de
	ld	(ix-22),bc
	ld	hl,1
	add	hl,de
	ex	de,hl
	jr	nc,@51
	inc	bc
@51:	push	bc
	push	de
	call	_set_colors
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;100 		set_hard_patn(patn);
	.debug	# 100
	ld	hl,(_patn)
	push	hl
	call	_set_hard_patn
	pop	hl
;101 		if (++patn == NUM_PATNS)
	.debug	# 101
	ld	hl,(_patn)
	inc	hl
	ld	(_patn),hl
	subw	hl,32
	jr	nz,@52 
;102 		    patn = 0;
	.debug	# 102
	subw	hl,hl
	ld	(_patn),hl
;103 		patnpen_line((short)(x-x/4>>16), (short)(y-y/4>>16),
@52:;104 			     (short)(x>>16), (short)(y>>16));
	.debug	# 104
	ld	de,(_y)
	ld	bc,(_y+2)
	ld	a,0x10
	call	__lshr##
	push	de
	ld	de,(_x)
	ld	bc,(_x+2)
	ld	a,0x10
	call	__lshr##
	push	de
	ld	de,(_y)
	ld	bc,(_y+2)
	ld	a,0x2
	call	__lshr##
	push	bc
	push	de
	ld	de,(_y)
	ld	bc,(_y+2)
	call	__lsubr##
	ld	a,0x10
	call	__lshr##
	push	de
	ld	de,(_x)
	ld	bc,(_x+2)
	ld	a,0x2
	call	__lshr##
	push	bc
	push	de
	ld	de,(_x)
	ld	bc,(_x+2)
	call	__lsubr##
	ld	a,0x10
	call	__lshr##
	push	de
	ex	de,hl
	call	_patnpen_line
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;105                 x -= y >> 4;
	.debug	# 105
	ld	de,(_y)
	ld	bc,(_y+2)
	ld	a,0x4
	call	__lshr##
	push	bc
	push	de
	ld	de,(_x)
	ld	bc,(_x+2)
	call	__lsubr##
	ld	(_x),de
	ld	(_x+2),bc
;106                 y += x >> 4;
	.debug	# 106
	ld	de,(_x)
	ld	bc,(_x+2)
	ld	a,0x4
	call	__lshr##
	push	bc
	push	de
	ld	de,(_y)
	ld	bc,(_y+2)
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(_y),de
	ld	(_y+2),bc
;107             }
@47:	.debug	>
;108 	    if (kbhit())
@45:	ld	de,(ix-8)
	ld	bc,(ix-6)
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@53
	dec	bc
@53:	ld	(ix-8),de
	ld	(ix-6),bc
	jp	   @43 
@44:	.debug	# 108
	call	_kbhit
	ld	a,l
	or	h
	jr	 z,@54 
;109 	    {
;110 		getch();
@55:	.debug	< @55 @56
	.debug	# 110
	call	_ReadUser
;111 		clear_page(BLACK);
	.debug	# 111
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;112 		return;
	.debug	# 112
;113 	    }
	jr	   @7  
@56:;114         }
@54:
@42:	.debug	>
;115 	color0++;
@40:	ld	de,(ix-4)
	ld	bc,(ix-2)
	ld	a,0x4
	call	__lshr##
	push	bc
	push	de
	ld	de,(ix-4)
	ld	bc,(ix-2)
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(ix-4),de
	ld	(ix-2),bc
	jp	   @37 
@38:	.debug	# 115
	ld	de,(ix-20)
	ld	bc,(ix-18)
	ld	hl,1
	add	hl,de
	ex	de,hl
	jr	nc,@57
	inc	bc
@57:	ld	(ix-20),de
	ld	(ix-18),bc
;116 	color1--;
	.debug	# 116
	ld	de,(ix-24)
	ld	bc,(ix-22)
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@58
	dec	bc
@58:	ld	(ix-24),de
	ld	(ix-22),bc
;117 	delay(60);	/* 1-second delay */
	.debug	# 117
	ld	hl,0x3c
	push	hl
	call	_delay
	pop	hl
;118     }
@16:	.debug	>
;119 }
	jp	   @12 
@13:
@7:	.debug	} @7 119

@6	equ	24
	ld	sp,ix
	pop	ix
	ret
	.bseg
_s::	.ds	129
	.debug	G _s 35 0
_penh::	.ds	2
	.debug	G _penh 4 0
_penw::	.ds	2
	.debug	G _penw 4 0
_patn::	.ds	2
	.debug	G _patn 4 0
_y::	.ds	4
	.debug	G _y 8 0
_x::	.ds	4
	.debug	G _x 8 0
_vres::	.ds	4
	.debug	G _vres 8 0
_hres::	.ds	4
	.debug	G _hres 8 0
_fontinfo::	.ds	58
	.debug	G _fontinfo 36 0
_cfg::	.ds	90
	.debug	G _cfg 37 0
	.extern	_delay 38
	.extern	_set_hard_patn 38
	.extern	_set_pensize 39
	.extern	_set_fcolor 40
	.extern	_set_draw_origin 39
	.extern	_set_config 41
	.extern	_set_colors 42
	.extern	_pen_line 43
	.extern	_patnpen_line 43
	.extern	_get_config 44
	.extern	_clear_screen 40
	.extern	_clear_page 40
	.extern	_gm_init 45
	.extern	_ReadUser 46
	.extern	_kbhit 47
	.extern	_exit 48
	.extern	_printf 49
	.debug	T	0B000220000100010021000000
	.debug	T	070000210002000300
	.debug	T	0B000222000100010001000000
	.debug	T	0900012300810003008100
	.debug	T	B5000324003A000E0001003200000009666163656E616D65000400
	.debug	T	1E00066465666C740004002000066669727374000400220005
	.debug	T	6C6173740004002400086D6178776964650004002600086176
	.debug	T	67776964650004002800086D61786B65726E0004002A000963
	.debug	T	686172776964650004002C000963686172686967680004002E
	.debug	T	0007617363656E7400040030000864657363656E7400040032
	.debug	T	00086C656164696E67000900340008666F6E74707472000400
	.debug	T	380003696400
	.debug	T	2C010325005A0010000100050000000F76657273696F6E5F6E756D
	.debug	T	62657200090002000F636F6D6D5F627566665F73697A650009
	.debug	T	0006000A7379735F666C6167730009000A000B646576696365
	.debug	T	5F7265760005000E000A6E756D5F6D6F64657300050010000D
	.debug	T	63757272656E745F6D6F646500090012001270726F6772616D
	.debug	T	5F6D656D5F737461727400090016001070726F6772616D5F6D
	.debug	T	656D5F656E640009001A0012646973706C61795F6D656D5F73
	.debug	T	746172740009001E0010646973706C61795F6D656D5F656E64
	.debug	T	00090022000B737461636B5F73697A65000900260010736861
	.debug	T	7265645F6D656D5F73697A650033002A00117368617265645F
	.debug	T	686F73745F616464720005002C00046761700009002E001073
	.debug	T	68617265645F6773705F616464720034003200056D6F646500
	.debug	T	0B000226000100010004000000
	.debug	T	0F00022700020001000400000004000200
	.debug	T	0B000228000100010009000000
	.debug	T	0F00022900020004000400000004000200
	.debug	T	0F00022A00020001000900000009000400
	.debug	T	1700022B000400010004000000040002000400040004000600
	.debug	T	0B00022C000100010035000000
	.debug	T	0B00022D000100040001000000
	.debug	T	0B00022E000100030001000000
	.debug	T	0B00022F000100060001000000
	.debug	T	0B000230000100010006000000
	.debug	T	0F0002310002000600210000000D000000
	.debug	T	09000132001E0003001E00
	.debug	T	070000330002000100
	.debug	T	0C0103340028000F000100090000000B646973705F706974636800
	.debug	T	050004000A646973705F7672657300050006000A646973705F
	.debug	T	6872657300040008000C73637265656E5F776964650004000A
	.debug	T	000C73637265656E5F686967680005000C000B646973705F70
	.debug	T	73697A650009000E000B706978656C5F6D61736B0005001200
	.debug	T	1070616C65745F67756E5F646570746800090014000B70616C
	.debug	T	65745F73697A6500040018000C70616C65745F696E73657400
	.debug	T	05001A000A6E756D5F70616765730004001C00126E756D5F6F
	.debug	T	66667363726E5F61726561730009001E000A776B73705F6164
	.debug	T	647200090022000B776B73705F706974636800050026001373
	.debug	T	696C69636F6E5F6361706162696C69747900
	.debug	T	070000350002002500
	.defseg	CONST
	.seg	CONST
@1:
	.db	"[ Error: ",0,"Unexpected EOF",0,"%s",0
	.db	" ]",10,0,"No Response from GDP",0,"In"
	.db	"valid graphics mode number",0
	.end
