;-----------------------------------------------------------------------;
;									;
;	Copyright (c) 1992	ELZET 80 Mikrocomputer			;
;				All Rights Reserved			;
;									;
;-----------------------------------------------------------------------;
;   GDP340 - Graphics Manager						;
;-----------------------------------------------------------------------;
;   Include file for GM host side					;
;									;
;   Implemented GM functions						;
;									;
;   Notes:								;
;-----------------------------------------------------------------------;
;   Revision history:							;
;   19.03.1993	Original Version Written		Reinhard Niebur	;
;-----------------------------------------------------------------------;

; GDP340 GM function numbers
Bitblt			.equ	0
Clear_Frame_Buffer	.equ	1
Clear_Page		.equ	2
Clear_Screen		.equ	3
Cpw			.equ	4
Cvxyl			.equ	5
Decode_Rect		.equ	6
Delete_Font		.equ	7
Draw_Line		.equ	8
Draw_Oval		.equ	9
Draw_OvalArc		.equ	10
Draw_PieArc		.equ	11
Draw_Point		.equ	12
Draw_PolyLine		.equ	13
Draw_Rect		.equ	14
Encode_Rect		.equ	15
Field_Extract		.equ	16
Field_Insert		.equ	17
Fill_Convex		.equ	18
Fill_Oval		.equ	19
Fill_PieArc		.equ	20
Fill_Polygon		.equ	21
Fill_Rect		.equ	22
Frame_Oval		.equ	23
Frame_Rect		.equ	24
Get_Colors		.equ	25
Get_Config		.equ	26
Get_Curs_State		.equ	27
Get_Curs_XY		.equ	28
Get_Env			.equ	29
Get_FontInfo		.equ	30
Get_ModeInfo		.equ	31
Get_Nearest_Color	.equ	32
Get_Offscreen_Memory	.equ	33
Get_Palet		.equ	34
Get_Palet_Entry		.equ	35
Get_Pixel		.equ	36
Get_PMask		.equ	37
Get_PPop		.equ	38
Get_TextAttr		.equ	39
Get_Text_XY		.equ	40
Get_Transp		.equ	41
Get_Vector		.equ	42
Get_Windowing		.equ	43
Gsp2Gsp			.equ	44
Get_Wksp		.equ	45
In_Font			.equ	46
Install_Font		.equ	47
Init_Palet		.equ	48
Init_Text		.equ	49
Lmo			.equ	50
Move_Pixel		.equ	51
Page_Busy		.equ	52
Page_Flip		.equ	53
PatnFill_Convex		.equ	54
PatnFill_Oval		.equ	55
PatnFill_PieArc		.equ	56
PatnFill_Polygon	.equ	57
PatnFill_Rect		.equ	58
PatnFrame_Oval		.equ	59
PatnFrame_Rect		.equ	60
PatnPen_Line		.equ	61
PatnPen_OvalArc		.equ	62
PatnPen_PieArc		.equ	63
PatnPen_Point		.equ	64
PatnPen_PolyLine	.equ	65
Peek_BReg		.equ	66
Pen_Line		.equ	67
Pen_OvalArc		.equ	68
Pen_PieArc		.equ	69
Pen_Point		.equ	70
Pen_PolyLine		.equ	71
Poke_BReg		.equ	72
Put_Pixel		.equ	73
Rmo			.equ	74
Seed_Fill		.equ	75
Seed_PatnFill		.equ	76
Select_Font		.equ	77
Set_BColor		.equ	78
Set_Clip_Rect		.equ	79
Set_Colors		.equ	80
Set_Config		.equ	81
Set_Curs_Shape		.equ	82
Set_Curs_State		.equ	83
Set_Curs_XY		.equ	84
Set_CursAttr		.equ	85
Set_Draw_Origin		.equ	86
Set_DstBm		.equ	87
Set_FColor		.equ	88
Set_Palet		.equ	89
Set_Palet_Entry		.equ	90
Set_Patn		.equ	91
Set_PenSize		.equ	92
Set_PMask		.equ	93
Set_PPop		.equ	94
Set_SrcBm		.equ	95
Set_Text_XY		.equ	96
Set_TextAttr		.equ	97
Set_Vector		.equ	98
Set_Windowing		.equ	99
Set_Wksp		.equ	100
Styled_Line		.equ	101
Styled_Oval		.equ	102
Styled_OvalArc		.equ	103
Styled_PieArc		.equ	104
Swap_Bm			.equ	105
Text_Out		.equ	106
Text_Outp		.equ	107
Text_Width		.equ	108
Transp_Off		.equ	109
Transp_On		.equ	110
Wait_Scan		.equ	111
Zoom_Rect		.equ	112
Gsp_CAlloc		.equ	113
Gsp_Free		.equ	114
Gsp_MAlloc		.equ	115
Gsp_MInit		.equ	116
Gsp_ReAlloc		.equ	117
Install_Hard_Font	.equ	118
Set_Hard_Patn		.equ	119
Set_Hard_Curs_Shape	.equ	120
Delay			.equ	121
