/*
 *	IOINIT & STDIN/STDOUT
 *
 *      Simple Version for ELZET 80 ECB-CPUZ280 with CP/M3
 *
 */

#include <stdio.h>
#include <cpuz280.h>

extern int kbhit(void);

extern char ReadUser(void);
void WriteUser(char c);

static FILE device;

void _initio (void)
{
  fassign(&device,ReadUser,WriteUser);
}

#define CONIN 1

char ReadUser(void)
{
  _asm(" push ix");
  _asm(" ld c,1");
  _asm(" call 5");
  _asm(" pop ix");
}  

#define CONOUT 2

static void WriteUser(char c)
{
  _asm(" ld c,2");
  _asm(" ld e,l");
  _asm(" call 5");
}

#define DIRECTIO 6

int kbhit(void)  
{
  _asm(" push ix");
  _asm(" ld c,6");
  _asm(" ld e,0feh");
  _asm(" call 5");
  _asm(" ld l,a");
  _asm(" ld h,0");
  _asm(" pop ix");
}
