	.objcmt	Softools, Inc. ** Control Cross-C Compiler ** Version 1.59e
	.objcmt	Copyright 1989 - 1993, Softools, Inc.  All rights reserved.
	.z280
	.debug	P 3
	.debug	X 11 10
	.debug	X 12 10
	.debug	N C:\GLIB340\GDP340\GM\ZILOG\DEMOS\DEMO05.C 20 17 11 16 3 13
;1 /*----------------------------------------------------------------------
;2  *			 TMS340 Graphics Library
;3  *          Copyright (c) 1990 Texas Instruments Incorporated.
;4  *                         All Rights Reserved
;5  *----------------------------------------------------------------------
;6  * Demonstration Program
;7  *
;8  *   Test the draw_point function.  Draw a variety of lissajous patterns
;9  *   composed of dots.	The patterns are created by driving the x and y
;10  *   coordinates of the dots with digital sinusoidal generators running
;11  *   at slightly different frequencies.  The fixed-point numbers used in
;12  *   the sinusoid calculations are 32-bit values with 16-bit fractions.
;13  *----------------------------------------------------------------------
;14  * Revision History:
;15  *   03/26/90...Original version written...................J.R. Van Aken
;16  *   03.02.1993	Anpassung an GDP340 GM			Reinhard Niebur
;17  *----------------------------------------------------------------------
;18  */
;19 
;20 #include "gmtest.h"
;21 
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\GMTEST.H 8 5 11 31 3 13
	.debug	I C:\SC280\INCLUDE\STDIO.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STDLIB.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STRING.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\MATH.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GM.H 20 25 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMTYPES.H 20 14 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCOLORS.H 26 53 15 19 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFONTS.H 7 54 7 16 2 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCURSOR.H 11 45 7 2 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFUNC.H 0 45 9 15 3 13
	.debug	I
	.debug	I
;22 CONFIG cfg;
;23 FONTINFO fontinfo;
;24 short hres,vres,x,y;
;25 short patn,penw,penh;
;26 char s[129];
;27 
;28 #define N	  6		/* angular increment = 1>>N radians */
;29 #define M	  5		/* log2(# of lines in grid pattern */
;30 #define TWOPI	  411775l	/* fixed point 2*PI */
;31 
;32 /* Print error message and exit. */
;33 void error(char *str)
;34 {
	.align	2
_error::	.debug	G _error 32 1
	.debug	{ _error 32 33 @2 @3
	push	ix
	lda	ix,(sp+0)
                                                                          
	.debug	A str 4 33
;35     printf("[ Error: ");
	.debug	# 35
	ld	hl,@1
	push	hl
	call	_printf
	pop	de
;36     if (!*str)
	.debug	# 36
	ld	hl,(ix+4)
	ld	a,(hl)
	or	a
	jr	nz,@4  
;37         printf("Unexpected EOF");
	.debug	# 37
	ld	hl,@1+10
	push	hl
	call	_printf
	pop	de
;38     else
;39         printf("%s",str);
	jr	   @5  
@4:	.debug	# 39
	ld	hl,(ix+4)
	push	hl
	ld	hl,@1+25
	push	hl
	call	_printf
	pop	de
	pop	de
;40     printf(" ]\n");
@5:	.debug	# 40
	ld	hl,@1+28
	push	hl
	call	_printf
	pop	de
;41     exit(1);
	.debug	# 41
	ld	hl,0x1
	push	hl
	call	_exit
	pop	hl
;42 }
@3:	.debug	} @3 42

@2	equ	0
	pop	ix
	ret
;43 
;44 void main(void)
;45 {
	.align	2
_main::	.debug	G _main 34 1
	.debug	{ _main 34 44 @6 @7
	push	ix
	lda	ix,(sp+0)
	lda	hl,(sp-@6)
	ld	sp,hl
                                              
;46 long h, v, x0, y0, ux, vx, uy, vy, i, j, k;
	.debug	L h -4 8
	.debug	L v -8 8
	.debug	L x0 -12 8
	.debug	L y0 -16 8
	.debug	L ux -20 8
	.debug	L vx -24 8
	.debug	L uy -28 8
	.debug	L vy -32 8
	.debug	L i -36 8
	.debug	L j -40 8
	.debug	L k -44 8
;47 long color;
	.debug	L color -48 8
;48 
;49     if (!gm_init())
	.debug	# 49
	call	_gm_init
	ld	a,l
	or	h
	jr	nz,@8  
;50         error("No Response from GDP");
	.debug	# 50
	ld	hl,@1+32
	push	hl
	call	_error
	pop	hl
;51 
;52     /* Initialize graphics environment. */
;53     if (!set_config(MODE, 1))
@8:	.debug	# 53
	ld	hl,0x1
	push	hl
	subw	hl,hl
	push	hl
	call	_set_config
	pop	de
	pop	de
	ld	a,l
	or	h
	jr	nz,@9  
;54 	error("Invalid graphics mode number");
	.debug	# 54
	ld	hl,@1+53
	push	hl
	call	_error
	pop	hl
;55     clear_screen(BLACK);
@9:	.debug	# 55
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_screen
	pop	hl
	pop	hl
;56     get_config(&cfg);
	.debug	# 56
	ld	hl,_cfg
	push	hl
	call	_get_config
	pop	hl
;57     hres = cfg.mode.disp_hres;	 /* horizontal resolution */
	.debug	# 57
	ld	hl,(_cfg+56)
	ld	(_hres),hl
;58     vres = cfg.mode.disp_vres;	 /* vertical resolution */
	.debug	# 58
	ld	hl,(_cfg+54)
	ld	(_vres),hl
;59 
;60     /* Draw various lissajous patterns of dots. */
;61     h = (long)hres;
	.debug	# 61
	ld	hl,(_hres)
	exts	hl
	ld	c,e
	ld	b,d
	ex	de,hl
	ld	(ix-4),de
	ld	(ix-2),bc
;62     v = (long)vres;
	.debug	# 62
	ld	hl,(_vres)
	exts	hl
	ld	c,e
	ld	b,d
	ex	de,hl
	ld	(ix-8),de
	ld	(ix-6),bc
;63     for (;;)
@10:
@12:;64     {
;65 	for (k = 1; k < 8; k++)
@13:	.debug	< @13 @14
	.debug	# 65
	ld	de,0x1
	ld	c,d
	ld	b,d
	ld	(ix-44),de
	ld	(ix-42),bc
@15:	ld	de,(ix-44)
	ld	bc,(ix-42)
	push	bc
	push	de
	ld	de,0x8
	ld	c,d
	ld	b,d
	call	__lcmp##
	jr	nc,@10 
;66 	    for (j = 2, color = -1; j != 0; j--, color++)
	.debug	# 66
	ld	de,0x2
	ld	c,d
	ld	b,d
	ld	(ix-40),de
	ld	(ix-38),bc
	ld	de,0xffff
	ld	bc,0xffff
	ld	(ix-48),de
	ld	(ix-46),bc
@18:	ld	de,(ix-40)
	ld	bc,(ix-38)
	ld	a,e
	or	d
	or	c
	or	b
	jp	 z,@19 
;67 	    {
;68 		x0 = (h/2 << 16) + (1 << 15);
@21:	.debug	< @21 @22
	.debug	# 68
	ld	de,(ix-4)
	ld	bc,(ix-2)
	ld	a,0x1
	call	__lshr##
	ld	c,e
	ld	b,d
	ld	de,0
	push	bc
	push	de
	ld	de,0x8000
	ld	bc,0
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(ix-12),de
	ld	(ix-10),bc
;69 		vx = x0 - (4 << 16);
	.debug	# 69
	ld	de,(ix-12)
	ld	bc,(ix-10)
	push	bc
	push	de
	ld	de,0
	ld	bc,0xfffc
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(ix-24),de
	ld	(ix-22),bc
;70 		ux = 0;
	.debug	# 70
	ld	de,0
	ld	c,d
	ld	b,d
	ld	(ix-20),de
	ld	(ix-18),bc
;71 		y0 = (v/2 << 16) + (1 << 15);
	.debug	# 71
	ld	de,(ix-8)
	ld	bc,(ix-6)
	ld	a,0x1
	call	__lshr##
	ld	c,e
	ld	b,d
	ld	de,0
	push	bc
	push	de
	ld	de,0x8000
	ld	bc,0
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(ix-16),de
	ld	(ix-14),bc
;72 		vy = y0 - (4 << 16);
	.debug	# 72
	ld	de,(ix-16)
	ld	bc,(ix-14)
	push	bc
	push	de
	ld	de,0
	ld	bc,0xfffc
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(ix-32),de
	ld	(ix-30),bc
;73 		uy = 0;
	.debug	# 73
	ld	de,0
	ld	c,d
	ld	b,d
	ld	(ix-28),de
	ld	(ix-26),bc
;74 		set_fcolor(color);
	.debug	# 74
	ld	de,(ix-48)
	ld	bc,(ix-46)
	push	bc
	push	de
	call	_set_fcolor
	pop	hl
	pop	hl
;75 		for (i = (TWOPI<<N)>>16+1-k; i >= 0; i--)
	.debug	# 75
	ld	de,0x11
	ld	c,d
	ld	b,d
	push	bc
	push	de
	ld	de,(ix-44)
	ld	bc,(ix-42)
	pop	hl
	subw	hl,de
	ex	de,hl
	pop	hl
	sbc	hl,bc
	ld	c,l
	ld	b,h
	ld	a,e
	ld	de,0x1fc0
	ld	bc,0x192
	call	__lshr##
	ld	(ix-36),de
	ld	(ix-34),bc
@23:	ld	de,(ix-36)
	ld	bc,(ix-34)
	push	bc
	push	de
	ld	de,0
	ld	c,d
	ld	b,d
	call	__lcmp##
	jp	 c,@24 
;76 		{
;77 		    x = (short)((x0 + vx) >> 16);
@26:	.debug	< @26 @27
	.debug	# 77
	ld	de,(ix-12)
	ld	bc,(ix-10)
	push	bc
	push	de
	ld	de,(ix-24)
	ld	bc,(ix-22)
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	a,0x10
	call	__lshr##
	ld	(_x),de
;78 		    y = (short)((y0 + vy) >> 16);
	.debug	# 78
	ld	de,(ix-16)
	ld	bc,(ix-14)
	push	bc
	push	de
	ld	de,(ix-32)
	ld	bc,(ix-30)
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	a,0x10
	call	__lshr##
	ld	(_y),de
;79 		    draw_point(x, y);
	.debug	# 79
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_draw_point
	pop	hl
	pop	hl
;80 		    ux -= vx >> N;
	.debug	# 80
	ld	de,(ix-24)
	ld	bc,(ix-22)
	ld	a,0x6
	call	__lshr##
	push	bc
	push	de
	ld	de,(ix-20)
	ld	bc,(ix-18)
	call	__lsubr##
	ld	(ix-20),de
	ld	(ix-18),bc
;81 		    vx += ux >> N;
	.debug	# 81
	ld	de,(ix-20)
	ld	bc,(ix-18)
	ld	a,0x6
	call	__lshr##
	push	bc
	push	de
	ld	de,(ix-24)
	ld	bc,(ix-22)
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(ix-24),de
	ld	(ix-22),bc
;82 		    uy -= (vy >> N) + (vy >> N+k);
	.debug	# 82
	ld	de,(ix-32)
	ld	bc,(ix-30)
	ld	a,0x6
	call	__lshr##
	push	bc
	push	de
	ld	de,(ix-44)
	ld	bc,(ix-42)
	push	bc
	push	de
	ld	de,0x6
	ld	c,d
	ld	b,d
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	a,e
	ld	de,(ix-32)
	ld	bc,(ix-30)
	call	__lshr##
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	push	bc
	push	de
	ld	de,(ix-28)
	ld	bc,(ix-26)
	call	__lsubr##
	ld	(ix-28),de
	ld	(ix-26),bc
;83 		    vy += (uy >> N) + (uy >> N+k);
	.debug	# 83
	ld	de,(ix-28)
	ld	bc,(ix-26)
	ld	a,0x6
	call	__lshr##
	push	bc
	push	de
	ld	de,(ix-44)
	ld	bc,(ix-42)
	push	bc
	push	de
	ld	de,0x6
	ld	c,d
	ld	b,d
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	a,e
	ld	de,(ix-28)
	ld	bc,(ix-26)
	call	__lshr##
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	push	bc
	push	de
	ld	de,(ix-32)
	ld	bc,(ix-30)
	pop	hl
	add	hl,de
	ex	de,hl
	pop	hl
	adc	hl,bc
	ld	c,l
	ld	b,h
	ld	(ix-32),de
	ld	(ix-30),bc
;84 		}
@27:	.debug	>
;85 		for (i = 30; i != 0; i--)
@25:	ld	de,(ix-36)
	ld	bc,(ix-34)
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@28
	dec	bc
@28:	ld	(ix-36),de
	ld	(ix-34),bc
	jp	   @23 
@24:	.debug	# 85
	ld	de,0x1e
	ld	c,d
	ld	b,d
	ld	(ix-36),de
	ld	(ix-34),bc
@29:	ld	de,(ix-36)
	ld	bc,(ix-34)
	ld	a,e
	or	d
	or	c
	or	b
	jr	 z,@30 
;86 		    wait_scan((short)v);
	.debug	# 86
	ld	hl,(ix-8)
	push	hl
	call	_wait_scan
	pop	hl
;87 /* delay(30);  tut nicht warum !!!!! */
;88 		if (kbhit())
@31:	ld	de,(ix-36)
	ld	bc,(ix-34)
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@32
	dec	bc
@32:	ld	(ix-36),de
	ld	(ix-34),bc
	jr	   @29 
@30:	.debug	# 88
	call	_kbhit
	ld	a,l
	or	h
	jr	 z,@33 
;89 		{
;90 		    getch();
@34:	.debug	< @34 @35
	.debug	# 90
	call	_ReadUser
;91 		    clear_page(BLACK);
	.debug	# 91
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;92 		    return;
	.debug	# 92
;93 		}
	jr	   @7  
@35:;94 	    }
@33:
@22:	.debug	>
;95     }
@20:	ld	de,(ix-40)
	ld	bc,(ix-38)
	ld	hl,-1
	add	hl,de
	ex	de,hl
	jr	c,@36
	dec	bc
@36:	ld	(ix-40),de
	ld	(ix-38),bc
	ld	de,(ix-48)
	ld	bc,(ix-46)
	ld	hl,1
	add	hl,de
	ex	de,hl
	jr	nc,@37
	inc	bc
@37:	ld	(ix-48),de
	ld	(ix-46),bc
	jp	   @18 
@19:
@17:	ld	de,(ix-44)
	ld	bc,(ix-42)
	ld	hl,1
	add	hl,de
	ex	de,hl
	jr	nc,@38
	inc	bc
@38:	ld	(ix-44),de
	ld	(ix-42),bc
	jp	   @15 
@16:
@14:	.debug	>
;96 }
;jp	   @10 
@11:
@7:	.debug	} @7 96

@6	equ	48
	ld	sp,ix
	pop	ix
	ret
;97 
	.bseg
_s::	.ds	129
	.debug	G _s 35 0
_penh::	.ds	2
	.debug	G _penh 4 0
_penw::	.ds	2
	.debug	G _penw 4 0
_patn::	.ds	2
	.debug	G _patn 4 0
_y::	.ds	2
	.debug	G _y 4 0
_x::	.ds	2
	.debug	G _x 4 0
_vres::	.ds	2
	.debug	G _vres 4 0
_hres::	.ds	2
	.debug	G _hres 4 0
_fontinfo::	.ds	58
	.debug	G _fontinfo 36 0
_cfg::	.ds	90
	.debug	G _cfg 37 0
	.extern	_wait_scan 38
	.extern	_set_fcolor 39
	.extern	_set_config 40
	.extern	_get_config 41
	.extern	_draw_point 42
	.extern	_clear_screen 39
	.extern	_clear_page 39
	.extern	_gm_init 43
	.extern	_ReadUser 44
	.extern	_kbhit 45
	.extern	_exit 46
	.extern	_printf 47
	.debug	T	0B000220000100010021000000
	.debug	T	070000210002000300
	.debug	T	0B000222000100010001000000
	.debug	T	0900012300810003008100
	.debug	T	B5000324003A000E0001003000000009666163656E616D65000400
	.debug	T	1E00066465666C740004002000066669727374000400220005
	.debug	T	6C6173740004002400086D6178776964650004002600086176
	.debug	T	67776964650004002800086D61786B65726E0004002A000963
	.debug	T	686172776964650004002C000963686172686967680004002E
	.debug	T	0007617363656E7400040030000864657363656E7400040032
	.debug	T	00086C656164696E67000900340008666F6E74707472000400
	.debug	T	380003696400
	.debug	T	2C010325005A0010000100050000000F76657273696F6E5F6E756D
	.debug	T	62657200090002000F636F6D6D5F627566665F73697A650009
	.debug	T	0006000A7379735F666C6167730009000A000B646576696365
	.debug	T	5F7265760005000E000A6E756D5F6D6F64657300050010000D
	.debug	T	63757272656E745F6D6F646500090012001270726F6772616D
	.debug	T	5F6D656D5F737461727400090016001070726F6772616D5F6D
	.debug	T	656D5F656E640009001A0012646973706C61795F6D656D5F73
	.debug	T	746172740009001E0010646973706C61795F6D656D5F656E64
	.debug	T	00090022000B737461636B5F73697A65000900260010736861
	.debug	T	7265645F6D656D5F73697A650031002A00117368617265645F
	.debug	T	686F73745F616464720005002C00046761700009002E001073
	.debug	T	68617265645F6773705F616464720032003200056D6F646500
	.debug	T	0B000226000100010004000000
	.debug	T	0B000227000100010009000000
	.debug	T	0F00022800020004000400000004000200
	.debug	T	0B000229000100010033000000
	.debug	T	0F00022A00020001000400000004000200
	.debug	T	0B00022B000100040001000000
	.debug	T	0B00022C000100030001000000
	.debug	T	0B00022D000100060001000000
	.debug	T	0B00022E000100010006000000
	.debug	T	0F00022F0002000600210000000D000000
	.debug	T	09000130001E0003001E00
	.debug	T	070000310002000100
	.debug	T	0C0103320028000F000100090000000B646973705F706974636800
	.debug	T	050004000A646973705F7672657300050006000A646973705F
	.debug	T	6872657300040008000C73637265656E5F776964650004000A
	.debug	T	000C73637265656E5F686967680005000C000B646973705F70
	.debug	T	73697A650009000E000B706978656C5F6D61736B0005001200
	.debug	T	1070616C65745F67756E5F646570746800090014000B70616C
	.debug	T	65745F73697A6500040018000C70616C65745F696E73657400
	.debug	T	05001A000A6E756D5F70616765730004001C00126E756D5F6F
	.debug	T	66667363726E5F61726561730009001E000A776B73705F6164
	.debug	T	647200090022000B776B73705F706974636800050026001373
	.debug	T	696C69636F6E5F6361706162696C69747900
	.debug	T	070000330002002500
	.defseg	CONST
	.seg	CONST
@1:
	.db	"[ Error: ",0,"Unexpected EOF",0,"%s",0
	.db	" ]",10,0,"No Response from GDP",0,"In"
	.db	"valid graphics mode number",0
	.end
