	.objcmt	Softools, Inc. ** Control Cross-C Compiler ** Version 1.59e
	.objcmt	Copyright 1989 - 1993, Softools, Inc.  All rights reserved.
	.z280
	.debug	P 3
	.debug	X 11 10
	.debug	X 12 10
	.debug	N C:\GLIB340\GDP340\GM\ZILOG\DEMOS\DEMO28.C 11 38 11 16 3 13
;1 /*----------------------------------------------------------------------*/
;2 /*									*/
;3 /*	Copyright (c) 1992	ELZET 80 Mikrocomputer			*/
;4 /*				All Rights Reserved			*/
;5 /*									*/
;6 /*----------------------------------------------------------------------*/
;7 /*   GDP340 - Graphics Manager						*/
;8 /*----------------------------------------------------------------------*/
;9 /*   Demonstration Program						*/
;10 /*									*/
;11 /*   Use draw_oval, pen_ovalarc and patpen_ovalarc to draw an ellipse.	*/
;12 /*   Use get_pixel, set_pixel and move_pixel to rotate a text line.	*/
;13 /*   Demonstrate plane mask usage.					*/
;14 /*   Do various tests to confirm functions:				*/
;15 /*   get_env, get_pmask, set_pmask, lmo, peek_breg, poke_breg,		*/
;16 /*   field_extract, field_insert, transp_on, transp_off,		*/
;17 /*   get_ppop, set_ppop, get_windowing, set_windowing.			*/
;18 /*									*/
;19 /*   Notes:								*/
;20 /*----------------------------------------------------------------------*/
;21 /*   Revision history:							*/
;22 /*   08.02.1993	Original Version Written		Reinhard Niebur	*/
;23 /*----------------------------------------------------------------------*/
;24 
;25 #include "gmtest.h"
;26 
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\GMTEST.H 8 5 11 31 3 13
	.debug	I C:\SC280\INCLUDE\STDIO.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STDLIB.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STRING.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\MATH.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GM.H 20 25 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMTYPES.H 20 14 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCOLORS.H 26 53 15 19 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFONTS.H 7 54 7 16 2 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCURSOR.H 11 45 7 2 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFUNC.H 0 45 9 15 3 13
	.debug	I
	.debug	I
;27 CONFIG cfg;
;28 FONTINFO fontinfo;
;29 short hres,vres,x,y;
;30 short patn,penw,penh;
;31 char s[129];
;32 
;33 #define CONTROL (PTR)(0xc00000b0L)
;34 
;35 static ENVIRONMENT env;
;36 
;37 /* Print error message and exit. */
;38 void error(char *str)
;39 {
	.align	2
_error::	.debug	G _error 32 1
	.debug	{ _error 32 38 @2 @3
	push	ix
	lda	ix,(sp+0)
                                                                          
	.debug	A str 4 33
;40     printf("[ Error: ");
	.debug	# 40
	ld	hl,@1
	push	hl
	call	_printf
	pop	de
;41     if (!*str)
	.debug	# 41
	ld	hl,(ix+4)
	ld	a,(hl)
	or	a
	jr	nz,@4  
;42         printf("Unexpected EOF");
	.debug	# 42
	ld	hl,@1+10
	push	hl
	call	_printf
	pop	de
;43     else
;44         printf("%s",str);
	jr	   @5  
@4:	.debug	# 44
	ld	hl,(ix+4)
	push	hl
	ld	hl,@1+25
	push	hl
	call	_printf
	pop	de
	pop	de
;45     printf(" ]\n");
@5:	.debug	# 45
	ld	hl,@1+28
	push	hl
	call	_printf
	pop	de
;46     exit(1);
	.debug	# 46
	ld	hl,0x1
	push	hl
	call	_exit
	pop	hl
;47 }
@3:	.debug	} @3 47

@2	equ	0
	pop	ix
	ret
;48 
;49 void main(void)
;50 {
	.align	2
_main::	.debug	G _main 34 1
	.debug	{ _main 34 49 @6 @7
	push	ix
	lda	ix,(sp+0)
	lda	hl,(sp-@6)
	ld	sp,hl
                                              
;51 short w, h;
	.debug	L w -2 4
	.debug	L h -4 4
;52 short xs, ys, xd, yd;
	.debug	L xs -6 4
	.debug	L ys -8 4
	.debug	L xd -10 4
	.debug	L yd -12 4
;53 long pmask, val;
	.debug	L pmask -16 8
	.debug	L val -20 8
;54 char *str;
	.debug	L str -22 33
;55 
;56     if (!gm_init())
	.debug	# 56
	call	_gm_init
	ld	a,l
	or	h
	jr	nz,@8  
;57         error("No Response from GDP");
	.debug	# 57
	ld	hl,@1+32
	push	hl
	call	_error
	pop	hl
;58 
;59     /* Initialize graphics environment. */
;60     if (!set_config(MODE, 1))
@8:	.debug	# 60
	ld	hl,0x1
	push	hl
	subw	hl,hl
	push	hl
	call	_set_config
	pop	de
	pop	de
	ld	a,l
	or	h
	jr	nz,@9  
;61 	error("Invalid graphics mode number");
	.debug	# 61
	ld	hl,@1+53
	push	hl
	call	_error
	pop	hl
;62     clear_screen(LIGHT_GRAY);
@9:	.debug	# 62
	ld	de,0x7
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_screen
	pop	hl
	pop	hl
;63     get_config(&cfg);
	.debug	# 63
	ld	hl,_cfg
	push	hl
	call	_get_config
	pop	hl
;64     hres = cfg.mode.disp_hres;	 /* horizontal resolution */
	.debug	# 64
	ld	hl,(_cfg+56)
	ld	(_hres),hl
;65     vres = cfg.mode.disp_vres;	 /* vertical resolution */
	.debug	# 65
	ld	hl,(_cfg+54)
	ld	(_vres),hl
;66     get_fontinfo(0, &fontinfo);
	.debug	# 66
	ld	hl,_fontinfo
	push	hl
	subw	hl,hl
	push	hl
	call	_get_fontinfo
	pop	de
	pop	de
;67 
;68     set_draw_origin(100,200);
	.debug	# 68
	ld	hl,0xc8
	push	hl
	ld	hl,0x64
	push	hl
	call	_set_draw_origin
	pop	hl
	pop	hl
;69     get_env(&env);
	.debug	# 69
	ld	hl,_env
	push	hl
	call	_get_env
	pop	hl
;70     if (env.xyorigin != 0x00c80064L)
	.debug	# 70
	ld	de,(_env)
	ld	bc,(_env+2)
	push	bc
	push	de
	ld	de,0x64
	ld	bc,0xc8
	pop	hl
	subw	hl,de
	pop	hl
	jr	nz,@10
	sbc	hl,bc
@10:	jr	 z,@11 
;71 	error("Cannot read environment");
	.debug	# 71
	ld	hl,@1+82
	push	hl
	call	_error
	pop	hl
;72 
;73     set_fcolor(BLACK);
@11:	.debug	# 73
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_fcolor
	pop	hl
	pop	hl
;74     if (peek_breg(9) != 0l)
	.debug	# 74
	ld	hl,0x9
	push	hl
	call	_peek_breg
	pop	hl
	ld	a,e
	or	d
	or	c
	or	b
	jr	 z,@12 
;75 	error("Cannot read register B9");
	.debug	# 75
	ld	hl,@1+106
	push	hl
	call	_error
	pop	hl
;76     poke_breg(9, 0xffffffffl);
@12:	.debug	# 76
	ld	de,0xffff
	ld	bc,0xffff
	push	bc
	push	de
	ld	hl,0x9
	push	hl
	call	_poke_breg
	pop	hl
	pop	hl
	pop	hl
;77     if (peek_breg(9) != 0xffffffffl)
	.debug	# 77
	ld	hl,0x9
	push	hl
	call	_peek_breg
	pop	hl
	push	bc
	push	de
	ld	de,0xffff
	ld	bc,0xffff
	pop	hl
	subw	hl,de
	pop	hl
	jr	nz,@13
	sbc	hl,bc
@13:	jr	 z,@14 
;78 	error("Cannot write register B9");
	.debug	# 78
	ld	hl,@1+130
	push	hl
	call	_error
	pop	hl
;79 
;80     transp_on();
@14:	.debug	# 80
	call	_transp_on
;81     if (get_transp() != 1)
	.debug	# 81
	call	_get_transp
	subw	hl,1
	jr	 z,@15 
;82 	error("get_transp()");
	.debug	# 82
	ld	hl,@1+155
	push	hl
	call	_error
	pop	hl
;83     if (field_extract(CONTROL+5,1) != 1)
@15:	.debug	# 83
	ld	hl,0x1
	push	hl
	ld	de,0xb5
	ld	bc,0xc000
	push	bc
	push	de
	call	_field_extract
	pop	hl
	pop	hl
	pop	hl
	push	bc
	push	de
	ld	de,0x1
	ld	c,d
	ld	b,d
	pop	hl
	subw	hl,de
	pop	hl
	jr	nz,@16
	sbc	hl,bc
@16:	jr	 z,@17 
;84 	error("Cannot field_extract(CONTROL+5,1)");
	.debug	# 84
	ld	hl,@1+168
	push	hl
	call	_error
	pop	hl
;85     field_insert(CONTROL+5,1,0);
@17:	.debug	# 85
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	ld	hl,0x1
	push	hl
	ld	de,0xb5
	ld	bc,0xc000
	push	bc
	push	de
	call	_field_insert
	lda	hl,(sp+10)
	ld	sp,hl
;86     if (field_extract(CONTROL+5,1) != 0)
	.debug	# 86
	ld	hl,0x1
	push	hl
	ld	de,0xb5
	ld	bc,0xc000
	push	bc
	push	de
	call	_field_extract
	pop	hl
	pop	hl
	pop	hl
	ld	a,e
	or	d
	or	c
	or	b
	jr	 z,@18 
;87 	error("Cannot field_insert(CONTROL+5,1,0)");
	.debug	# 87
	ld	hl,@1+202
	push	hl
	call	_error
	pop	hl
;88     transp_off();
@18:	.debug	# 88
	call	_transp_off
;89     if (get_transp() != 0)
	.debug	# 89
	call	_get_transp
	ld	a,l
	or	h
	jr	 z,@19 
;90 	error("transp_off()");
	.debug	# 90
	ld	hl,@1+237
	push	hl
	call	_error
	pop	hl
;91 
;92     field_insert(CONTROL+10,5,15);
@19:	.debug	# 92
	ld	de,0xf
	ld	c,d
	ld	b,d
	push	bc
	push	de
	ld	hl,0x5
	push	hl
	ld	de,0xba
	ld	bc,0xc000
	push	bc
	push	de
	call	_field_insert
	lda	hl,(sp+10)
	ld	sp,hl
;93     if (get_ppop() != 15)
	.debug	# 93
	call	_get_ppop
	subw	hl,15
	jr	 z,@20 
;94 	error("get_ppop()");
	.debug	# 94
	ld	hl,@1+250
	push	hl
	call	_error
	pop	hl
;95     set_ppop(0);
@20:	.debug	# 95
	subw	hl,hl
	push	hl
	call	_set_ppop
	pop	hl
;96     if (get_ppop() != 0)
	.debug	# 96
	call	_get_ppop
	ld	a,l
	or	h
	jr	 z,@21 
;97 	error("set_ppop()");
	.debug	# 97
	ld	hl,@1+261
	push	hl
	call	_error
	pop	hl
;98 
;99     field_insert(CONTROL+6,2,0);
@21:	.debug	# 99
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	ld	hl,0x2
	push	hl
	ld	de,0xb6
	ld	bc,0xc000
	push	bc
	push	de
	call	_field_insert
	lda	hl,(sp+10)
	ld	sp,hl
;100     if (get_windowing() != 0)
	.debug	# 100
	call	_get_windowing
	ld	a,l
	or	h
	jr	 z,@22 
;101 	error("get_windowing()");
	.debug	# 101
	ld	hl,@1+272
	push	hl
	call	_error
	pop	hl
;102     set_windowing(3);
@22:	.debug	# 102
	ld	hl,0x3
	push	hl
	call	_set_windowing
	pop	hl
;103     if (get_windowing() != 3)
	.debug	# 103
	call	_get_windowing
	subw	hl,3
	jr	 z,@23 
;104 	error("set_windowing()");
	.debug	# 104
	ld	hl,@1+288
	push	hl
	call	_error
	pop	hl
;105 
;106     set_draw_origin(0,0);
@23:	.debug	# 106
	subw	hl,hl
	push	hl
	subw	hl,hl
	push	hl
	call	_set_draw_origin
	pop	hl
	pop	hl
;107     w = hres/2-40;
	.debug	# 107
	ld	hl,(_hres)
	sra	h
	rr	l
	lda	hl,(hl+-40)
	ld	(ix-2),hl
;108     h = vres/2-40;
	.debug	# 108
	ld	hl,(_vres)
	sra	h
	rr	l
	lda	hl,(hl+-40)
	ld	(ix-4),hl
;109     x = 40;
	.debug	# 109
	ld	hl,0x28
	ld	(_x),hl
;110     y = 40;
	.debug	# 110
	ld	hl,0x28
	ld	(_y),hl
;111     set_pensize(9, 9);
	.debug	# 111
	ld	hl,0x9
	push	hl
	ld	hl,0x9
	push	hl
	call	_set_pensize
	pop	hl
	pop	hl
;112     set_fcolor(LIGHT_GREEN);
	.debug	# 112
	ld	de,0xa
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_fcolor
	pop	hl
	pop	hl
;113     pen_ovalarc(w, h, x, y, 0, 330);
	.debug	# 113
	ld	hl,0x14a
	push	hl
	subw	hl,hl
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	ld	hl,(ix-4)
	push	hl
	ld	hl,(ix-2)
	push	hl
	call	_pen_ovalarc
	lda	hl,(sp+12)
	ld	sp,hl
;114     set_fcolor(RED);
	.debug	# 114
	ld	de,0x4
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_fcolor
	pop	hl
	pop	hl
;115     draw_oval(w, h, x, y);
	.debug	# 115
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	ld	hl,(ix-4)
	push	hl
	ld	hl,(ix-2)
	push	hl
	call	_draw_oval
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;116 
;117     set_draw_origin(hres/2-40, vres/3);
	.debug	# 117
	ld	hl,(_vres)
	ld	de,0x3
	ld	c,e
	ld	b,d
	exts	hl
	divw	bc
	push	hl
	ld	hl,(_hres)
	sra	h
	rr	l
	lda	hl,(hl+-40)
	push	hl
	call	_set_draw_origin
	pop	hl
	pop	hl
;118     set_hard_patn(15);
	.debug	# 118
	ld	hl,0xf
	push	hl
	call	_set_hard_patn
	pop	hl
;119     set_pensize(16,16);
	.debug	# 119
	ld	hl,0x10
	push	hl
	ld	hl,0x10
	push	hl
	call	_set_pensize
	pop	hl
	pop	hl
;120     set_colors(LIGHT_GREEN, BLUE);
	.debug	# 120
	ld	de,0x1
	ld	c,d
	ld	b,d
	push	bc
	push	de
	ld	de,0xa
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_colors
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;121     patnpen_ovalarc(w, h, x, y, 0, 330);
	.debug	# 121
	ld	hl,0x14a
	push	hl
	subw	hl,hl
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	ld	hl,(ix-4)
	push	hl
	ld	hl,(ix-2)
	push	hl
	call	_patnpen_ovalarc
	lda	hl,(sp+12)
	ld	sp,hl
;122     set_fcolor(RED);
	.debug	# 122
	ld	de,0x4
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_fcolor
	pop	hl
	pop	hl
;123     draw_oval(w, h, x, y);
	.debug	# 123
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	ld	hl,(ix-4)
	push	hl
	ld	hl,(ix-2)
	push	hl
	call	_draw_oval
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;124     
;125     set_colors(DARK_GRAY,LIGHT_GRAY);
	.debug	# 125
	ld	de,0x7
	ld	c,d
	ld	b,d
	push	bc
	push	de
	ld	de,0x8
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_colors
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;126     str = "Rotate text by 180 degrees using get/put_pixel";
	.debug	# 126
	ld	hl,@1+304
	ld	(ix-22),hl
;127     w = text_width(str);
	.debug	# 127
	ld	hl,(ix-22)
	push	hl
	call	_text_width
	pop	de
	ld	(ix-2),hl
;128     h = fontinfo.charhigh;
	.debug	# 128
	ld	hl,(_fontinfo+44)
	ld	(ix-4),hl
;129     set_draw_origin(hres/4, vres-3*h);
	.debug	# 129
	ld	hl,(ix-4)
	ld	de,0x3
	multw	de
	ld	de,(_vres)
	ex	de,hl
	subw	hl,de
	push	hl
	ld	hl,(_hres)
	sra	h
	rr	l
	sra	h
	rr	l
	push	hl
	call	_set_draw_origin
	pop	hl
	pop	hl
;130     xs = 0;
	.debug	# 130
	subw	hl,hl
	ld	(ix-6),hl
;131     ys = 0;
	.debug	# 131
	subw	hl,hl
	ld	(ix-8),hl
;132     text_out(xs, ys, str);
	.debug	# 132
	ld	hl,(ix-22)
	push	hl
	ld	hl,(ix-8)
	push	hl
	ld	hl,(ix-6)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;133     for(yd = 2*h+1; ys <= h; ys++, yd--)
	.debug	# 133
	ld	hl,(ix-4)
	add	hl,hl
	inc	hl
	ld	(ix-12),hl
@24:	ld	hl,(ix-8)
	ld	de,(ix-4)
	call	__icmp##
	jr	 z,@26 
	jr	nc,@25 
@26:;134 	for(xs = 0, xd = w-1; xs <= w; xs++, xd--)
	.debug	# 134
	subw	hl,hl
	ld	(ix-6),hl
	ld	hl,(ix-2)
	dec	hl
	ld	(ix-10),hl
@28:	ld	hl,(ix-6)
	ld	de,(ix-2)
	call	__icmp##
	jr	 z,@30 
	jr	nc,@29 
@30:;135 	{
;136 	    val = get_pixel(xs, ys);
@32:	.debug	< @32 @33
	.debug	# 136
	ld	hl,(ix-8)
	push	hl
	ld	hl,(ix-6)
	push	hl
	call	_get_pixel
	pop	hl
	pop	hl
	ld	(ix-20),de
	ld	(ix-18),bc
;137 	    put_pixel(val, xd, yd);
	.debug	# 137
	ld	hl,(ix-12)
	push	hl
	ld	hl,(ix-10)
	push	hl
	ld	de,(ix-20)
	ld	bc,(ix-18)
	push	bc
	push	de
	call	_put_pixel
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;138 	}
@33:	.debug	>
;139 
;140     set_draw_origin(10, 10);
@31:	ld	hl,(ix-6)
	inc	hl
	ld	(ix-6),hl
	ld	hl,(ix-10)
	dec	hl
	ld	(ix-10),hl
	jr	   @28 
@29:
@27:	ld	hl,(ix-8)
	inc	hl
	ld	(ix-8),hl
	ld	hl,(ix-12)
	dec	hl
	ld	(ix-12),hl
	jp	   @24 
@25:	.debug	# 140
	ld	hl,0xa
	push	hl
	ld	hl,0xa
	push	hl
	call	_set_draw_origin
	pop	hl
	pop	hl
;141     str = "Rotate text by 90 degrees using move_pixel";
	.debug	# 141
	ld	hl,@1+351
	ld	(ix-22),hl
;142     w = text_width(str);
	.debug	# 142
	ld	hl,(ix-22)
	push	hl
	call	_text_width
	pop	de
	ld	(ix-2),hl
;143     h = fontinfo.charhigh;
	.debug	# 143
	ld	hl,(_fontinfo+44)
	ld	(ix-4),hl
;144     xs = h;
	.debug	# 144
	ld	hl,(ix-4)
	ld	(ix-6),hl
;145     ys = 0;
	.debug	# 145
	subw	hl,hl
	ld	(ix-8),hl
;146     text_out(xs, ys, str);
	.debug	# 146
	ld	hl,(ix-22)
	push	hl
	ld	hl,(ix-8)
	push	hl
	ld	hl,(ix-6)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;147     for(xd = yd = h; ys < h; ys++, xd = h-ys, yd = h)
	.debug	# 147
	ld	hl,(ix-4)
	ld	(ix-12),hl
	ld	(ix-10),hl
@34:	ld	hl,(ix-8)
	ld	de,(ix-4)
	call	__icmp##
	jr	nc,@35 
;148 	for(xs = h; xs < w+h; xs++, yd++)
	.debug	# 148
	ld	hl,(ix-4)
	ld	(ix-6),hl
@37:	ld	hl,(ix-2)
	ld	de,(ix-4)
	add	hl,de
	ld	de,(ix-6)
	ex	de,hl
	call	__icmp##
	jr	nc,@38 
;149 	{
;150 	    move_pixel(xs, ys, xd, yd);
@40:	.debug	< @40 @41
	.debug	# 150
	ld	hl,(ix-12)
	push	hl
	ld	hl,(ix-10)
	push	hl
	ld	hl,(ix-8)
	push	hl
	ld	hl,(ix-6)
	push	hl
	call	_move_pixel
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;151 	}
@41:	.debug	>
;152 
;153     set_draw_origin(hres/2+20, 40);
@39:	ld	hl,(ix-6)
	inc	hl
	ld	(ix-6),hl
	ld	hl,(ix-12)
	inc	hl
	ld	(ix-12),hl
	jr	   @37 
@38:
@36:	ld	hl,(ix-8)
	inc	hl
	ld	(ix-8),hl
	ld	hl,(ix-4)
	ld	de,(ix-8)
	subw	hl,de
	ld	(ix-10),hl
	ld	hl,(ix-4)
	ld	(ix-12),hl
	jr	   @34 
@35:	.debug	# 153
	ld	hl,0x28
	push	hl
	ld	hl,(_hres)
	sra	h
	rr	l
	lda	hl,(hl+20)
	push	hl
	call	_set_draw_origin
	pop	hl
	pop	hl
;154     set_colors(WHITE, BLACK);
	.debug	# 154
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	ld	de,0xf
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_colors
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;155     x = y = 0;
	.debug	# 155
	subw	hl,hl
	ld	(_y),hl
	ld	(_x),hl
;156     for(pmask = 1; pmask != 1<<4; pmask <<= 1)
	.debug	# 156
	ld	de,0x1
	ld	c,d
	ld	b,d
	ld	(ix-16),de
	ld	(ix-14),bc
@42:	ld	de,(ix-16)
	ld	bc,(ix-14)
	push	bc
	push	de
	ld	de,0x10
	ld	c,d
	ld	b,d
	pop	hl
	subw	hl,de
	pop	hl
	jr	nz,@43
	sbc	hl,bc
@43:	jp	 z,@44 
;157     {
;158 	set_pmask(pmask);
@46:	.debug	< @46 @47
	.debug	# 158
	ld	de,(ix-16)
	ld	bc,(ix-14)
	push	bc
	push	de
	call	_set_pmask
	pop	hl
	pop	hl
;159 	sprintf(s,"All planes  enabled except %d (%04lx)",
;160 		lmo(pmask), get_pmask());
	.debug	# 160
	call	_get_pmask
	push	bc
	push	de
	ld	de,(ix-16)
	ld	bc,(ix-14)
	push	bc
	push	de
	call	_lmo
	pop	de
	pop	de
	push	hl
	ld	hl,@1+394
	push	hl
	ld	hl,_s
	push	hl
	call	_sprintf
	pop	de
	pop	de
	pop	de
	pop	de
	pop	de
;161 	text_out(x, y, s);
	.debug	# 161
	ld	hl,_s
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;162 	y += fontinfo.charhigh;
	.debug	# 162
	ld	hl,(_y)
	ld	de,(_fontinfo+44)
	add	hl,de
	ld	(_y),hl
;163 	set_pmask(~pmask);
	.debug	# 163
	ld	de,(ix-16)
	ld	bc,(ix-14)
	ld	a,e
	cpl
	ld	e,a
	ld	a,d
	cpl
	ld	d,a
	ld	a,c
	cpl
	ld	c,a
	ld	a,b
	cpl
	ld	b,a
	push	bc
	push	de
	call	_set_pmask
	pop	hl
	pop	hl
;164 	sprintf(s,"All planes disabled except %d (%04lx)",
;165 		lmo(pmask), get_pmask());
	.debug	# 165
	call	_get_pmask
	push	bc
	push	de
	ld	de,(ix-16)
	ld	bc,(ix-14)
	push	bc
	push	de
	call	_lmo
	pop	de
	pop	de
	push	hl
	ld	hl,@1+432
	push	hl
	ld	hl,_s
	push	hl
	call	_sprintf
	pop	de
	pop	de
	pop	de
	pop	de
	pop	de
;166 	text_out(x, y, s);
	.debug	# 166
	ld	hl,_s
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;167 	y += fontinfo.charhigh;
	.debug	# 167
	ld	hl,(_y)
	ld	de,(_fontinfo+44)
	add	hl,de
	ld	(_y),hl
;168     }
@47:	.debug	>
;169     set_pmask(0);
@45:	ld	de,(ix-16)
	ld	bc,(ix-14)
	ld	a,0x1
	call	__lshl##
	ld	(ix-16),de
	ld	(ix-14),bc
	jp	   @42 
@44:	.debug	# 169
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_pmask
	pop	hl
	pop	hl
;170     sprintf(s,"All planes  enabled          (%04lx)", get_pmask());
	.debug	# 170
	call	_get_pmask
	push	bc
	push	de
	ld	hl,@1+470
	push	hl
	ld	hl,_s
	push	hl
	call	_sprintf
	pop	de
	pop	de
	pop	de
	pop	de
;171     text_out(x, y, s);
	.debug	# 171
	ld	hl,_s
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;172     getch();
	.debug	# 172
	call	_ReadUser
;173     clear_page(BLACK);
	.debug	# 173
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;174 }
@7:	.debug	} @7 174

@6	equ	22
	ld	sp,ix
	pop	ix
	ret
;175 
	.bseg
_env:	.ds	20
	.debug	F _env 35 0
_s::	.ds	129
	.debug	G _s 36 0
_penh::	.ds	2
	.debug	G _penh 4 0
_penw::	.ds	2
	.debug	G _penw 4 0
_patn::	.ds	2
	.debug	G _patn 4 0
_y::	.ds	2
	.debug	G _y 4 0
_x::	.ds	2
	.debug	G _x 4 0
_vres::	.ds	2
	.debug	G _vres 4 0
_hres::	.ds	2
	.debug	G _hres 4 0
_fontinfo::	.ds	58
	.debug	G _fontinfo 37 0
_cfg::	.ds	90
	.debug	G _cfg 38 0
	.extern	_set_hard_patn 39
	.extern	_transp_on 34
	.extern	_transp_off 34
	.extern	_text_width 40
	.extern	_text_out 41
	.extern	_set_windowing 39
	.extern	_set_ppop 39
	.extern	_set_pmask 42
	.extern	_set_pensize 43
	.extern	_set_fcolor 42
	.extern	_set_draw_origin 43
	.extern	_set_config 44
	.extern	_set_colors 45
	.extern	_put_pixel 46
	.extern	_poke_breg 47
	.extern	_pen_ovalarc 48
	.extern	_peek_breg 49
	.extern	_patnpen_ovalarc 48
	.extern	_move_pixel 50
	.extern	_lmo 51
	.extern	_get_windowing 52
	.extern	_get_transp 52
	.extern	_get_ppop 53
	.extern	_get_pmask 54
	.extern	_get_pixel 55
	.extern	_get_fontinfo 56
	.extern	_get_env 57
	.extern	_get_config 58
	.extern	_field_insert 59
	.extern	_field_extract 60
	.extern	_draw_oval 50
	.extern	_clear_screen 42
	.extern	_clear_page 42
	.extern	_gm_init 52
	.extern	_ReadUser 61
	.extern	_exit 62
	.extern	_sprintf 63
	.extern	_printf 64
	.debug	T	0B000220000100010021000000
	.debug	T	070000210002000300
	.debug	T	0B000222000100010001000000
	.debug	T	4900032300140005000100090000000978796F726967696E000900
	.debug	T	04000870656E73697A65000900080006737263626D0009000C
	.debug	T	0006647374626D00090010000A7374796C656D61736B00
	.debug	T	0900012400810003008100
	.debug	T	B5000325003A000E0001004100000009666163656E616D65000400
	.debug	T	1E00066465666C740004002000066669727374000400220005
	.debug	T	6C6173740004002400086D6178776964650004002600086176
	.debug	T	67776964650004002800086D61786B65726E0004002A000963
	.debug	T	686172776964650004002C000963686172686967680004002E
	.debug	T	0007617363656E7400040030000864657363656E7400040032
	.debug	T	00086C656164696E67000900340008666F6E74707472000400
	.debug	T	380003696400
	.debug	T	2C010326005A0010000100050000000F76657273696F6E5F6E756D
	.debug	T	62657200090002000F636F6D6D5F627566665F73697A650009
	.debug	T	0006000A7379735F666C6167730009000A000B646576696365
	.debug	T	5F7265760005000E000A6E756D5F6D6F64657300050010000D
	.debug	T	63757272656E745F6D6F646500090012001270726F6772616D
	.debug	T	5F6D656D5F737461727400090016001070726F6772616D5F6D
	.debug	T	656D5F656E640009001A0012646973706C61795F6D656D5F73
	.debug	T	746172740009001E0010646973706C61795F6D656D5F656E64
	.debug	T	00090022000B737461636B5F73697A65000900260010736861
	.debug	T	7265645F6D656D5F73697A650042002A00117368617265645F
	.debug	T	686F73745F616464720005002C00046761700009002E001073
	.debug	T	68617265645F6773705F616464720043003200056D6F646500
	.debug	T	0B000227000100010004000000
	.debug	T	0B000228000100040021000000
	.debug	T	130002290003000400040000000400020021000400
	.debug	T	0B00022A000100010009000000
	.debug	T	0F00022B00020001000400000004000200
	.debug	T	0F00022C00020004000400000004000200
	.debug	T	0F00022D00020001000900000009000400
	.debug	T	1300022E0003000100090000000400040004000600
	.debug	T	0F00022F00020001000400000009000200
	.debug	T	1F0002300006000100040000000400020004000400040006000400
	.debug	T	080004000A00
	.debug	T	0B000231000100090004000000
	.debug	T	17000232000400010004000000040002000400040004000600
	.debug	T	0B000233000100040009000000
	.debug	T	0B000234000100040001000000
	.debug	T	0B000235000100050001000000
	.debug	T	0B000236000100090001000000
	.debug	T	0F00023700020009000400000004000200
	.debug	T	0F00023800020004000400000044000200
	.debug	T	0B000239000100010045000000
	.debug	T	0B00023A000100010046000000
	.debug	T	1300023B0003000100090000000400040009000600
	.debug	T	0F00023C00020009000900000005000400
	.debug	T	0B00023D000100030001000000
	.debug	T	0B00023E000100010006000000
	.debug	T	1300023F000300060021000000210002000D000000
	.debug	T	0F0002400002000600210000000D000000
	.debug	T	09000141001E0003001E00
	.debug	T	070000420002000100
	.debug	T	0C0103430028000F000100090000000B646973705F706974636800
	.debug	T	050004000A646973705F7672657300050006000A646973705F
	.debug	T	6872657300040008000C73637265656E5F776964650004000A
	.debug	T	000C73637265656E5F686967680005000C000B646973705F70
	.debug	T	73697A650009000E000B706978656C5F6D61736B0005001200
	.debug	T	1070616C65745F67756E5F646570746800090014000B70616C
	.debug	T	65745F73697A6500040018000C70616C65745F696E73657400
	.debug	T	05001A000A6E756D5F70616765730004001C00126E756D5F6F
	.debug	T	66667363726E5F61726561730009001E000A776B73705F6164
	.debug	T	647200090022000B776B73705F706974636800050026001373
	.debug	T	696C69636F6E5F6361706162696C69747900
	.debug	T	070000440002002500
	.debug	T	070000450002002300
	.debug	T	070000460002002600
	.defseg	CONST
	.seg	CONST
@1:
	.db	"[ Error: ",0,"Unexpected EOF",0,"%s",0
	.db	" ]",10,0,"No Response from GDP",0,"In"
	.db	"valid graphics mode number",0,"Cannot re"
	.db	"ad environment",0,"Cannot read register "
	.db	"B9",0,"Cannot write register B9",0,"get"
	.db	"_transp()",0,"Cannot field_extract(CONTR"
	.db	"OL+5,1)",0,"Cannot field_insert(CONTROL+"
	.db	"5,1,0)",0,"transp_off()",0,"get_ppop()",0
	.db	"set_ppop()",0,"get_windowing()",0,"set_"
	.db	"windowing()",0,"Rotate text by 180 degre"
	.db	"es using get/put_pixel",0,"Rotate text b"
	.db	"y 90 degrees using move_pixel",0,"All pl"
	.db	"anes  enabled except %d (%04lx)",0,"All "
	.db	"planes disabled except %d (%04lx)",0,"Al"
	.db	"l planes  enabled          (%04lx)",0
	.end
