/*
 *	IOINIT & STDIN/STDOUT
 *
 *      Simple Version for ELZET 80 ECB-CPUZ280/ECB-CPUZ280F with SYMON3.4
 *
 */

#include <stdio.h>
#include <cpuz280.h>

extern int kbhit(void);
extern char ReadUser(void);

char ReadUser(void);
void WriteUser(char c);

static FILE device;

void _initio (void)
{
  fassign(&device,ReadUser,WriteUser);
}

#define SC_GetChar 6

char ReadUser(void)
{
  _asm(" push ix");
  syscall(SC_GetChar);
  _asm(" pop ix");
}  

#define SC_PutChar 5

static void WriteUser(char c)
{
  _BC = c;
  syscall(SC_PutChar);
}

#define SC_KbHit 4

int kbhit(void)  
{
  _asm(" push ix");
  syscall(SC_KbHit);
  _asm(" ld l,a");
  _asm(" ld h,0");
  _asm(" pop ix");
}
