/*----------------------------------------------------------------------*/
/*									*/
/*	Copyright (c) 1992	ELZET 80 Mikrocomputer			*/
/*				All Rights Reserved			*/
/*									*/
/*----------------------------------------------------------------------*/
/*   GDP340 - Graphics Manager						*/
/*----------------------------------------------------------------------*/
/*   Header file for GM host side					*/
/*									*/
/*   Information about fixed EPROM fonts				*/
/*									*/
/*   Notes:								*/
/*----------------------------------------------------------------------*/
/*   Revision history:							*/
/*   10.07.1992	Original Version Written		Reinhard Niebur	*/
/*   30.01.1993	New functions added			Reinhard Niebur	*/
/*----------------------------------------------------------------------*/

#define N_HARD_FONTS 9		/* Number of available Fonts, exclude SYS */

/* id of Hard fonts for function install_hard_font */
#define	HARD_SYS16	0
#define	HARD_SYS24	1
#define	HARD_CORPUS15	2
#define	HARD_CORPUS16	3
#define HARD_CORPUS26	4
#define	HARD_CORPUS29	5
#define	HARD_CORPUS49	6
#define	HARD_ARROWS25	7
#define	HARD_ARROWS31	8

/* Id of Installed fonts for function select_font */
#define	SYS		0	/* Mode dependent SYS16 or SYS24	*/

/* Id of Hard fonts for function select_font !! if installed first !! */
#define	SYS16		1
#define	SYS24		2
#define	CORPUS15	3
#define	CORPUS16	4
#define CORPUS26	5
#define	CORPUS29	6
#define	CORPUS49	7
#define	ARROWS25	8
#define	ARROWS31	9
