;-----------------------------------------------------------------------;
;									;
;	Copyright (c) 1992	ELZET 80 Mikrocomputer			;
;				All Rights Reserved			;
;									;
;-----------------------------------------------------------------------;
;   GDP340 - Graphics Manager						;
;-----------------------------------------------------------------------;
;   Include file for GM host side					;
;									;
;   Information about fixed EPROM fonts					;
;									;
;   Notes:								;
;-----------------------------------------------------------------------;
;   Revision history:							;
;   19.03.1993	Original Version Written		Reinhard Niebur	;
;-----------------------------------------------------------------------;

N_HARD_FONTS	.equ	9	; Number of available Fonts, exclude SYS

; Id of Hard fonts for function install_hard_font
HARD_SYS16	.equ	0
HARD_SYS24	.equ	1
HARD_CORPUS15	.equ	2
HARD_CORPUS16	.equ	3
HARD_CORPUS26	.equ	4
HARD_CORPUS29	.equ	5
HARD_CORPUS49	.equ	6
HARD_ARROWS25	.equ	7
HARD_ARROWS31	.equ	8

; Id of installed fonts for function select_font
SYS		.equ	0	; Mode dependent SYS16 or SYS24

; Id of Hard fonts for function select_font !! if installed first !!
SYS16		.equ	1
SYS24		.equ	2
CORPUS15	.equ	3
CORPUS16	.equ	4
CORPUS26	.equ	5
CORPUS29	.equ	6
CORPUS49	.equ	7
ARROWS25	.equ	8
ARROWS31	.equ	9
