	.objcmt	Softools, Inc. ** Control Cross-C Compiler ** Version 1.59e
	.objcmt	Copyright 1989 - 1993, Softools, Inc.  All rights reserved.
	.z280
	.debug	P 3
	.debug	X 11 10
	.debug	X 12 10
	.debug	N C:\GLIB340\GDP340\GM\ZILOG\DEMOS\DEMO20.C 29 32 11 16 3 13
;1 /*----------------------------------------------------------------------
;2  *			 TMS340 Graphics Library
;3  *          Copyright (c) 1990 Texas Instruments Incorporated.
;4  *                         All Rights Reserved
;5  *----------------------------------------------------------------------
;6  * Demonstration Program
;7  *
;8  *   Use get_modeinfo to show and set_config function to cycle through
;9  *   all graphics modes supported by current graphics configuration.
;10  *   Print mode number, screen resolution, and pixel depth to screen.
;11  *
;12  *----------------------------------------------------------------------
;13  *   03/27/90...Original version written..................J.R. Van Aken
;14  *   02.02.1993	Anpassung an GDP340 GM			Reinhard Niebur
;15  *----------------------------------------------------------------------
;16  */
;17 
;18 #include "gmtest.h"
;19 
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\GMTEST.H 8 5 11 31 3 13
	.debug	I C:\SC280\INCLUDE\STDIO.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STDLIB.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STRING.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\MATH.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GM.H 20 25 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMTYPES.H 20 14 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCOLORS.H 26 53 15 19 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFONTS.H 7 54 7 16 2 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCURSOR.H 11 45 7 2 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFUNC.H 0 45 9 15 3 13
	.debug	I
	.debug	I
;20 CONFIG cfg;
;21 FONTINFO fontinfo;
;22 short hres,vres,x,y;
;23 short patn,penw,penh;
;24 char s[129];
;25 
;26 #define	MAXBUFS	5	/* max. number of buffers needed	*/
;27 
;28 OFFSCREEN_AREA	offscrn[MAXBUFS];
;29 MODEINFO modeinfo;
;30 
;31 /* Print error message and exit. */
;32 void error(char *str)
;33 {
	.align	2
_error::	.debug	G _error 32 1
	.debug	{ _error 32 32 @2 @3
	push	ix
	lda	ix,(sp+0)
                                                                          
	.debug	A str 4 33
;34     printf("[ Error: ");
	.debug	# 34
	ld	hl,@1
	push	hl
	call	_printf
	pop	de
;35     if (!*str)
	.debug	# 35
	ld	hl,(ix+4)
	ld	a,(hl)
	or	a
	jr	nz,@4  
;36         printf("Unexpected EOF");
	.debug	# 36
	ld	hl,@1+10
	push	hl
	call	_printf
	pop	de
;37     else
;38         printf("%s",str);
	jr	   @5  
@4:	.debug	# 38
	ld	hl,(ix+4)
	push	hl
	ld	hl,@1+25
	push	hl
	call	_printf
	pop	de
	pop	de
;39     printf(" ]\n");
@5:	.debug	# 39
	ld	hl,@1+28
	push	hl
	call	_printf
	pop	de
;40     exit(1);
	.debug	# 40
	ld	hl,0x1
	push	hl
	call	_exit
	pop	hl
;41 }
@3:	.debug	} @3 41

@2	equ	0
	pop	ix
	ret
;42 
;43 void main(void)
;44 {
	.align	2
_main::	.debug	G _main 34 1
	.debug	{ _main 34 43 @6 @7
	push	ix
	lda	ix,(sp+0)
	lda	hl,(sp-@6)
	ld	sp,hl
                                              
;45 short mode, n, nbufs;
	.debug	L mode -2 4
	.debug	L n -4 4
	.debug	L nbufs -6 4
;46 char c[80];
	.debug	L c -86 35
;47 
;48     if (!gm_init())
	.debug	# 48
	call	_gm_init
	ld	a,l
	or	h
	jr	nz,@8  
;49         error("No Response from GDP");
	.debug	# 49
	ld	hl,@1+32
	push	hl
	call	_error
	pop	hl
;50 
;51     set_config(MODE, 1);
@8:	.debug	# 51
	ld	hl,0x1
	push	hl
	subw	hl,hl
	push	hl
	call	_set_config
	pop	de
	pop	de
;52     clear_page(BLACK);
	.debug	# 52
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;53 
;54     get_fontinfo(0, &fontinfo);	 /* get system font parameters */
	.debug	# 54
	ld	hl,_fontinfo
	push	hl
	subw	hl,hl
	push	hl
	call	_get_fontinfo
	pop	de
	pop	de
;55 
;56     x = y = 10;
	.debug	# 56
	ld	hl,0xa
	ld	(_y),hl
	ld	(_x),hl
;57     for( mode = 0; get_modeinfo(mode, &modeinfo); mode++)
	.debug	# 57
	subw	hl,hl
	ld	(ix-2),hl
@9:	ld	hl,_modeinfo
	push	hl
	ld	hl,(ix-2)
	push	hl
	call	_get_modeinfo
	pop	de
	pop	de
	ld	a,l
	or	h
	jr	 z,@10 
;58     {
;59 	sprintf(c,"Graphics mode %d  resolution = %d -by- %d",
@12:	.debug	< @12 @13
;60 		mode, modeinfo.disp_hres, modeinfo.disp_vres);
	.debug	# 60
	ld	hl,(_modeinfo+4)
	push	hl
	ld	hl,(_modeinfo+6)
	push	hl
	ld	hl,(ix-2)
	push	hl
	ld	hl,@1+53
	push	hl
	lda	hl,(sp-78+@6)
	push	hl
	call	_sprintf
	pop	de
	pop	de
	pop	de
	pop	de
	pop	de
;61 	text_out(x, y, c);
	.debug	# 61
	lda	hl,(sp-86+@6)
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;62 	y += fontinfo.charhigh;
	.debug	# 62
	ld	hl,(_y)
	ld	de,(_fontinfo+44)
	add	hl,de
	ld	(_y),hl
;63     }
@13:	.debug	>
;64     text_out(x,y,"Press any key to step through modes (ESC to abort)");
@11:	ld	hl,(ix-2)
	inc	hl
	ld	(ix-2),hl
	jr	   @9  
@10:	.debug	# 64
	ld	hl,@1+95
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;65     if(getch() == 0x1b)
	.debug	# 65
	call	_ReadUser
	cp	27
	jr	nz,@14 
;66     {
;67         clear_page(BLACK);
@15:	.debug	< @15 @16
	.debug	# 67
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;68 	return;
	.debug	# 68
;69     }    
	jp	   @7  
@16:;70     for (mode = 0; set_config(mode, 1); mode++)
@14:	.debug	# 70
	subw	hl,hl
	ld	(ix-2),hl
@17:	ld	hl,0x1
	push	hl
	ld	hl,(ix-2)
	push	hl
	call	_set_config
	pop	de
	pop	de
	ld	a,l
	or	h
	jp	 z,@18 
;71     {
;72 	clear_page(BLACK);
@20:	.debug	< @20 @21
	.debug	# 72
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;73 	get_config(&cfg);
	.debug	# 73
	ld	hl,_cfg
	push	hl
	call	_get_config
	pop	hl
;74 	hres = cfg.mode.disp_hres;	 /* horizontal resolution */
	.debug	# 74
	ld	hl,(_cfg+56)
	ld	(_hres),hl
;75 	vres = cfg.mode.disp_vres;	 /* vertical resolution */
	.debug	# 75
	ld	hl,(_cfg+54)
	ld	(_vres),hl
;76 	get_fontinfo(0, &fontinfo);	 /* get system font parameters */
	.debug	# 76
	ld	hl,_fontinfo
	push	hl
	subw	hl,hl
	push	hl
	call	_get_fontinfo
	pop	de
	pop	de
;77 
;78 	frame_rect(hres, vres, 0, 0, hres/32, vres/32);
	.debug	# 78
	ld	hl,(_vres)
	ld	a,0x5
	call	__ishr##
	push	hl
	ld	hl,(_hres)
	ld	a,0x5
	call	__ishr##
	push	hl
	subw	hl,hl
	push	hl
	subw	hl,hl
	push	hl
	ld	hl,(_vres)
	push	hl
	ld	hl,(_hres)
	push	hl
	call	_frame_rect
	lda	hl,(sp+12)
	ld	sp,hl
;79 	x = hres/16;
	.debug	# 79
	ld	hl,(_hres)
	sra	h
	rr	l
	sra	h
	rr	l
	sra	h
	rr	l
	sra	h
	rr	l
	ld	(_x),hl
;80 	y = vres/16;
	.debug	# 80
	ld	hl,(_vres)
	sra	h
	rr	l
	sra	h
	rr	l
	sra	h
	rr	l
	sra	h
	rr	l
	ld	(_y),hl
;81 	sprintf(c,"Graphics mode %d",mode);
	.debug	# 81
	ld	hl,(ix-2)
	push	hl
	ld	hl,@1+146
	push	hl
	lda	hl,(sp-82+@6)
	push	hl
	call	_sprintf
	pop	de
	pop	de
	pop	de
;82 	text_out(x, y, c);
	.debug	# 82
	lda	hl,(sp-86+@6)
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;83 	y += fontinfo.charhigh;
	.debug	# 83
	ld	hl,(_y)
	ld	de,(_fontinfo+44)
	add	hl,de
	ld	(_y),hl
;84 
;85 	sprintf(c,"Resolution = %d -by- %d",hres,vres);
	.debug	# 85
	ld	hl,(_vres)
	push	hl
	ld	hl,(_hres)
	push	hl
	ld	hl,@1+163
	push	hl
	lda	hl,(sp-80+@6)
	push	hl
	call	_sprintf
	pop	de
	pop	de
	pop	de
	pop	de
;86 	text_out(x, y, c);
	.debug	# 86
	lda	hl,(sp-86+@6)
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;87 	y += fontinfo.charhigh;
	.debug	# 87
	ld	hl,(_y)
	ld	de,(_fontinfo+44)
	add	hl,de
	ld	(_y),hl
;88 
;89 	sprintf(c,"Pixel depth = %d",cfg.mode.disp_psize);
	.debug	# 89
	ld	hl,(_cfg+62)
	push	hl
	ld	hl,@1+187
	push	hl
	lda	hl,(sp-82+@6)
	push	hl
	call	_sprintf
	pop	de
	pop	de
	pop	de
;90 	text_out(x, y, c);
	.debug	# 90
	lda	hl,(sp-86+@6)
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;91 	y += fontinfo.charhigh;
	.debug	# 91
	ld	hl,(_y)
	ld	de,(_fontinfo+44)
	add	hl,de
	ld	(_y),hl
;92 
;93 	if (cfg.mode.num_pages > 1)
	.debug	# 93
	ld	hl,(_cfg+76)
	ld	de,0x1
	subw	hl,de
	jr	 c,@22 
	jr	 z,@22 
;94 	    text_out(x, y, "  double buffered");
	.debug	# 94
	ld	hl,@1+204
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;95 	y += fontinfo.charhigh;
@22:	.debug	# 95
	ld	hl,(_y)
	ld	de,(_fontinfo+44)
	add	hl,de
	ld	(_y),hl
;96 
;97 
;98 	if ((nbufs = cfg.mode.num_offscrn_areas) > MAXBUFS)
	.debug	# 98
	ld	hl,(_cfg+78)
	ld	(ix-6),hl
	ld	de,0x5
	call	__icmp##
	jr	 c,@23 
	jr	 z,@23 
;99 	    nbufs = MAXBUFS;
	.debug	# 99
	ld	hl,0x5
	ld	(ix-6),hl
;100 	get_offscreen_memory(nbufs, offscrn);
@23:	.debug	# 100
	ld	hl,_offscrn
	push	hl
	ld	hl,(ix-6)
	push	hl
	call	_get_offscreen_memory
	pop	hl
	pop	hl
;101 	if (!nbufs)
	.debug	# 101
	ld	hl,(ix-6)
	ld	a,l
	or	h
	jr	nz,@24 
;102 	    text_out(x,y, "No off-screen buffers available.");
	.debug	# 102
	ld	hl,@1+222
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;103 	else
;104 	    for (n = 0; n < nbufs; n++)
	jp	   @25 
@24:	.debug	# 104
	subw	hl,hl
	ld	(ix-4),hl
@26:	ld	hl,(ix-4)
	ld	de,(ix-6)
	call	__icmp##
	jr	nc,@27 
;105 	    {
;106 		sprintf(c,"Buffer %d:  Addr = %08lx  xext = %d  yext = %d",
@29:	.debug	< @29 @30
;107 			n,offscrn[n].addr, offscrn[n].xext,offscrn[n].yext);
	.debug	# 107
	ld	hl,(ix-4)
	add	hl,hl
	add	hl,hl
	add	hl,hl
	ld	de,_offscrn
	add	hl,de
	lda	hl,(hl+6)
	ld	hl,(hl)
	push	hl
	ld	hl,(ix-4)
	add	hl,hl
	add	hl,hl
	add	hl,hl
	ld	de,_offscrn
	add	hl,de
	lda	hl,(hl+4)
	ld	hl,(hl)
	push	hl
	ld	hl,(ix-4)
	add	hl,hl
	add	hl,hl
	add	hl,hl
	ld	de,_offscrn
	add	hl,de
	ld	de,(hl)
	inc	hl
	inc	hl
	ld	bc,(hl)
	push	bc
	push	de
	ld	hl,(ix-4)
	push	hl
	ld	hl,@1+255
	push	hl
	lda	hl,(sp-74+@6)
	push	hl
	call	_sprintf
	ex	de,hl
	lda	hl,(sp+14)
	ld	sp,hl
;108 		text_out(x,y,c);
	.debug	# 108
	lda	hl,(sp-86+@6)
	push	hl
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_text_out
	pop	de
	pop	de
	pop	de
;109 		y += fontinfo.charhigh;
	.debug	# 109
	ld	hl,(_y)
	ld	de,(_fontinfo+44)
	add	hl,de
	ld	(_y),hl
;110 	    }
@30:	.debug	>
;111 	if(getch() == 0x1b)
@28:	ld	hl,(ix-4)
	inc	hl
	ld	(ix-4),hl
	jp	   @26 
@27:
@25:	.debug	# 111
	call	_ReadUser
	cp	27
	jr	 z,@18 
;112 	    break;
;113 	clear_page(BLACK);
;jp	   @18 
@31:	.debug	# 113
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;114     }
@21:	.debug	>
;115     clear_page(BLACK);
@19:	ld	hl,(ix-2)
	inc	hl
	ld	(ix-2),hl
	jp	   @17 
@18:	.debug	# 115
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;116 }
@7:	.debug	} @7 116

@6	equ	86
	ld	sp,ix
	pop	ix
	ret
	.bseg
_modeinfo::	.ds	40
	.debug	G _modeinfo 36 0
_offscrn::	.ds	40
	.debug	G _offscrn 37 0
_s::	.ds	129
	.debug	G _s 39 0
_penh::	.ds	2
	.debug	G _penh 4 0
_penw::	.ds	2
	.debug	G _penw 4 0
_patn::	.ds	2
	.debug	G _patn 4 0
_y::	.ds	2
	.debug	G _y 4 0
_x::	.ds	2
	.debug	G _x 4 0
_vres::	.ds	2
	.debug	G _vres 4 0
_hres::	.ds	2
	.debug	G _hres 4 0
_fontinfo::	.ds	58
	.debug	G _fontinfo 40 0
_cfg::	.ds	90
	.debug	G _cfg 41 0
	.extern	_text_out 42
	.extern	_set_config 43
	.extern	_get_offscreen_memory 44
	.extern	_get_modeinfo 45
	.extern	_get_fontinfo 46
	.extern	_get_config 47
	.extern	_frame_rect 48
	.extern	_clear_page 49
	.extern	_gm_init 50
	.extern	_ReadUser 51
	.extern	_exit 52
	.extern	_sprintf 53
	.extern	_printf 54
	.debug	T	0B000220000100010021000000
	.debug	T	070000210002000300
	.debug	T	0B000222000100010001000000
	.debug	T	0900012300500003005000
	.debug	T	0C0103240028000F000100090000000B646973705F706974636800
	.debug	T	050004000A646973705F7672657300050006000A646973705F
	.debug	T	6872657300040008000C73637265656E5F776964650004000A
	.debug	T	000C73637265656E5F686967680005000C000B646973705F70
	.debug	T	73697A650009000E000B706978656C5F6D61736B0005001200
	.debug	T	1070616C65745F67756E5F646570746800090014000B70616C
	.debug	T	65745F73697A6500040018000C70616C65745F696E73657400
	.debug	T	05001A000A6E756D5F70616765730004001C00126E756D5F6F
	.debug	T	66667363726E5F61726561730009001E000A776B73705F6164
	.debug	T	647200090022000B776B73705F706974636800050026001373
	.debug	T	696C69636F6E5F6361706162696C69747900
	.debug	T	0900012500280026000500
	.debug	T	270003260008000300010009000000056164647200050004000578
	.debug	T	6578740005000600057965787400
	.debug	T	0900012700810003008100
	.debug	T	B5000328003A000E0001003700000009666163656E616D65000400
	.debug	T	1E00066465666C740004002000066669727374000400220005
	.debug	T	6C6173740004002400086D6178776964650004002600086176
	.debug	T	67776964650004002800086D61786B65726E0004002A000963
	.debug	T	686172776964650004002C000963686172686967680004002E
	.debug	T	0007617363656E7400040030000864657363656E7400040032
	.debug	T	00086C656164696E67000900340008666F6E74707472000400
	.debug	T	380003696400
	.debug	T	2C010329005A0010000100050000000F76657273696F6E5F6E756D
	.debug	T	62657200090002000F636F6D6D5F627566665F73697A650009
	.debug	T	0006000A7379735F666C6167730009000A000B646576696365
	.debug	T	5F7265760005000E000A6E756D5F6D6F64657300050010000D
	.debug	T	63757272656E745F6D6F646500090012001270726F6772616D
	.debug	T	5F6D656D5F737461727400090016001070726F6772616D5F6D
	.debug	T	656D5F656E640009001A0012646973706C61795F6D656D5F73
	.debug	T	746172740009001E0010646973706C61795F6D656D5F656E64
	.debug	T	00090022000B737461636B5F73697A65000900260010736861
	.debug	T	7265645F6D656D5F73697A650038002A00117368617265645F
	.debug	T	686F73745F616464720005002C00046761700009002E001073
	.debug	T	68617265645F6773705F616464720024003200056D6F646500
	.debug	T	1300022A0003000400040000000400020021000400
	.debug	T	0F00022B00020004000400000004000200
	.debug	T	0F00022C00020001000400000039000200
	.debug	T	0F00022D0002000400040000003A000200
	.debug	T	0F00022E0002000400040000003B000200
	.debug	T	0B00022F00010001003C000000
	.debug	T	1F0002300006000100040000000400020004000400040006000400
	.debug	T	080004000A00
	.debug	T	0B000231000100010009000000
	.debug	T	0B000232000100040001000000
	.debug	T	0B000233000100030001000000
	.debug	T	0B000234000100010006000000
	.debug	T	13000235000300060021000000210002000D000000
	.debug	T	0F0002360002000600210000000D000000
	.debug	T	09000137001E0003001E00
	.debug	T	070000380002000100
	.debug	T	070000390002002600
	.debug	T	0700003A0002002400
	.debug	T	0700003B0002002800
	.debug	T	0700003C0002002900
	.defseg	CONST
	.seg	CONST
@1:
	.db	"[ Error: ",0,"Unexpected EOF",0,"%s",0
	.db	" ]",10,0,"No Response from GDP",0,"Gr"
	.db	"aphics mode %d  resolution = %d -by- %d",0
	.db	"Press any key to step through modes (ESC "
	.db	"to abort)",0,"Graphics mode %d",0,"Reso"
	.db	"lution = %d -by- %d",0,"Pixel depth = %d"
	.db	0,"  double buffered",0,"No off-screen "
	.db	"buffers available.",0,"Buffer %d:  Addr "
	.db	"= %08lx  xext = %d  yext = %d",0
	.end
