	.objcmt	Softools, Inc. ** Control Cross-C Compiler ** Version 1.59e
	.objcmt	Copyright 1989 - 1993, Softools, Inc.  All rights reserved.
	.z280
	.debug	P 3
	.debug	X 11 10
	.debug	X 12 10
	.debug	N C:\GLIB340\GDP340\GM\ZILOG\DEMOS\DEMO27.C 18 38 11 16 3 13
;1 /*----------------------------------------------------------------------*/
;2 /*									*/
;3 /*	Copyright (c) 1992	ELZET 80 Mikrocomputer			*/
;4 /*				All Rights Reserved			*/
;5 /*									*/
;6 /*----------------------------------------------------------------------*/
;7 /*   GDP340 - Graphics Manager						*/
;8 /*----------------------------------------------------------------------*/
;9 /*   Demonstration Program						*/
;10 /*									*/
;11 /*   Use the draw_point, pen_point and patnpen_point functions		*/
;12 /*   to cover the screen with random points.				*/
;13 /*									*/
;14 /*   Notes:								*/
;15 /*----------------------------------------------------------------------*/
;16 /*   Revision history:							*/
;17 /*   08.02.1993	Original Version Written		Reinhard Niebur	*/
;18 /*----------------------------------------------------------------------*/
;19 
;20 #include "gmtest.h"
;21 
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\GMTEST.H 8 5 11 31 3 13
	.debug	I C:\SC280\INCLUDE\STDIO.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STDLIB.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\STRING.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\SC280\INCLUDE\MATH.H 0 58 1 6 1 12
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GM.H 20 25 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMTYPES.H 20 14 8 18 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCOLORS.H 26 53 15 19 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFONTS.H 7 54 7 16 2 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMCURSOR.H 11 45 7 2 3 13
	.debug	I
	.debug	I C:\GLIB340\GDP340\GM\ZILOG\DEMOS\../../INCLUDE/GMFUNC.H 0 45 9 15 3 13
	.debug	I
	.debug	I
;22 CONFIG cfg;
;23 FONTINFO fontinfo;
;24 short hres,vres,x,y;
;25 short patn,penw,penh;
;26 char s[129];
;27 
;28 #define NCOLORS 16
;29 
;30 static PALET palet[NCOLORS];
;31 
;32 /* Print error message and exit. */
;33 void error(char *str)
;34 {
	.align	2
_error::	.debug	G _error 32 1
	.debug	{ _error 32 33 @2 @3
	push	ix
	lda	ix,(sp+0)
                                                                          
	.debug	A str 4 33
;35     printf("[ Error: ");
	.debug	# 35
	ld	hl,@1
	push	hl
	call	_printf
	pop	de
;36     if (!*str)
	.debug	# 36
	ld	hl,(ix+4)
	ld	a,(hl)
	or	a
	jr	nz,@4  
;37         printf("Unexpected EOF");
	.debug	# 37
	ld	hl,@1+10
	push	hl
	call	_printf
	pop	de
;38     else
;39         printf("%s",str);
	jr	   @5  
@4:	.debug	# 39
	ld	hl,(ix+4)
	push	hl
	ld	hl,@1+25
	push	hl
	call	_printf
	pop	de
	pop	de
;40     printf(" ]\n");
@5:	.debug	# 40
	ld	hl,@1+28
	push	hl
	call	_printf
	pop	de
;41     exit(1);
	.debug	# 41
	ld	hl,0x1
	push	hl
	call	_exit
	pop	hl
;42 }
@3:	.debug	} @3 42

@2	equ	0
	pop	ix
	ret
;43 
;44 void main(void)
;45 {
	.align	2
_main::	.debug	G _main 34 1
	.debug	{ _main 34 44 @6 @7
	push	ix
	lda	ix,(sp+0)
	lda	hl,(sp-@6)
	ld	sp,hl
                                              
;46 short j, k, n;
	.debug	L j -2 4
	.debug	L k -4 4
	.debug	L n -6 4
;47 
;48     if (!gm_init())
	.debug	# 48
	call	_gm_init
	ld	a,l
	or	h
	jr	nz,@8  
;49         error("No Response from GDP");
	.debug	# 49
	ld	hl,@1+32
	push	hl
	call	_error
	pop	hl
;50 
;51     /* Initialize graphics environment. */
;52     if (!set_config(MODE, 1))
@8:	.debug	# 52
	ld	hl,0x1
	push	hl
	subw	hl,hl
	push	hl
	call	_set_config
	pop	de
	pop	de
	ld	a,l
	or	h
	jr	nz,@9  
;53 	error("Invalid graphics mode number");
	.debug	# 53
	ld	hl,@1+53
	push	hl
	call	_error
	pop	hl
;54     clear_screen(-1);
@9:	.debug	# 54
	ld	de,0xffff
	ld	bc,0xffff
	push	bc
	push	de
	call	_clear_screen
	pop	hl
	pop	hl
;55     get_config(&cfg);
	.debug	# 55
	ld	hl,_cfg
	push	hl
	call	_get_config
	pop	hl
;56     hres = cfg.mode.disp_hres;	 /* horizontal resolution */
	.debug	# 56
	ld	hl,(_cfg+56)
	ld	(_hres),hl
;57     vres = cfg.mode.disp_vres;	 /* vertical resolution */
	.debug	# 57
	ld	hl,(_cfg+54)
	ld	(_vres),hl
;58 
;59     for (j = 0; j < 5000; j++)
	.debug	# 59
	subw	hl,hl
	ld	(ix-2),hl
@10:	ld	hl,(ix-2)
	ld	de,0x1388
	call	__icmp##
	jp	nc,@11 
;60     {
;61 	x = rand() % hres;
@13:	.debug	< @13 @14
	.debug	# 61
	call	_rand
	ld	de,(_hres)
	ld	c,e
	ld	b,d
	exts	hl
	divw	bc
	ld	(_x),de
;62 	y = rand() % vres;
	.debug	# 62
	call	_rand
	ld	de,(_vres)
	ld	c,e
	ld	b,d
	exts	hl
	divw	bc
	ld	(_y),de
;63 	set_colors((long)(rand() & 15),(long)(rand() & 15));
	.debug	# 63
	call	_rand
	ld	a,l
	and	15
	ld	l,a
	ld	h,0
	exts	hl
	ld	c,e
	ld	b,d
	ex	de,hl
	push	bc
	push	de
	call	_rand
	ld	a,l
	and	15
	ld	l,a
	ld	h,0
	exts	hl
	ld	c,e
	ld	b,d
	ex	de,hl
	push	bc
	push	de
	call	_set_colors
	pop	hl
	pop	hl
	pop	hl
	pop	hl
;64 	switch(rand() & 3)
	.debug	# 64
	call	_rand
	ld	a,l
	and	3
	ld	l,a
	ld	h,0
	jr	   @15 
;65 	{
;66 	    case 0: draw_point(x,y); break;
@17:	.debug	# 66
@19:	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_draw_point
	pop	hl
	pop	hl
;67 	    case 1: set_pensize(8,8);
	jr	   @16 
	.debug	# 67
@20:	ld	hl,0x8
	push	hl
	ld	hl,0x8
	push	hl
	call	_set_pensize
	pop	hl
	pop	hl
;68 		    pen_point(x,y); break;
	.debug	# 68
	ld	hl,(_y)
	push	hl
	ld	hl,(_x)
	push	hl
	call	_pen_point
	pop	hl
	pop	hl
;69 	    case 2: set_hard_patn(rand() & 31);
	jr	   @16 
	.debug	# 69
@21:	call	_rand
	ld	a,l
	and	31
	ld	l,a
	ld	h,0
	push	hl
	call	_set_hard_patn
	pop	hl
;70 		    set_pensize(16,16);
	.debug	# 70
	ld	hl,0x10
	push	hl
	ld	hl,0x10
	push	hl
	call	_set_pensize
	pop	hl
	pop	hl
;71 		    patnpen_point(x & 0xfff0, y & 0xfff0); break;
	.debug	# 71
	ld	hl,(_y)
	ld	a,l
	and	240
	ld	l,a
	push	hl
	ld	hl,(_x)
	ld	a,l
	and	240
	ld	l,a
	push	hl
	call	_patnpen_point
	pop	hl
	pop	hl
;72 	}
	jr	   @16 
@18:;73     }
@15:	ld	a,h
	or	l
	jr	 z,@19 
	cpw	hl,0x1
	jr	 z,@20 
	cpw	hl,0x2
	jr	 z,@21 
;jp	   @16 
@16:
@14:	.debug	>
;74 
;75     getch();
@12:	ld	hl,(ix-2)
	inc	hl
	ld	(ix-2),hl
	jp	   @10 
@11:	.debug	# 75
	call	_ReadUser
;76     for (n = 0; n < 16; n++)
	.debug	# 76
	subw	hl,hl
	ld	(ix-6),hl
@22:	ld	hl,(ix-6)
	ld	de,0x10
	call	__icmp##
	jr	nc,@23 
;77 	set_palet_entry((long)n,
;78 		  (uchar)(16*n),(uchar)(16*n),(uchar)(16*n),(uchar)(16*n));
	.debug	# 78
	ld	hl,(ix-6)
	add	hl,hl
	add	hl,hl
	add	hl,hl
	add	hl,hl
	ld	h,0
	push	hl
	ld	hl,(ix-6)
	add	hl,hl
	add	hl,hl
	add	hl,hl
	add	hl,hl
	ld	h,0
	push	hl
	ld	hl,(ix-6)
	add	hl,hl
	add	hl,hl
	add	hl,hl
	add	hl,hl
	ld	h,0
	push	hl
	ld	hl,(ix-6)
	add	hl,hl
	add	hl,hl
	add	hl,hl
	add	hl,hl
	ld	h,0
	push	hl
	ld	hl,(ix-6)
	exts	hl
	ld	c,e
	ld	b,d
	ex	de,hl
	push	bc
	push	de
	call	_set_palet_entry
	ex	de,hl
	lda	hl,(sp+12)
	ld	sp,hl
;79     delay(60);
@24:	ld	hl,(ix-6)
	inc	hl
	ld	(ix-6),hl
	jr	   @22 
@23:	.debug	# 79
	ld	hl,0x3c
	push	hl
	call	_delay
	pop	hl
;80 
;81     for (k = 0; k < NCOLORS; k++)
	.debug	# 81
	subw	hl,hl
	ld	(ix-4),hl
@25:	ld	hl,(ix-4)
	ld	de,0x10
	call	__icmp##
	jp	nc,@26 
;82     {
;83 	delay(5);
@28:	.debug	< @28 @29
	.debug	# 83
	ld	hl,0x5
	push	hl
	call	_delay
	pop	hl
;84 	get_palet(NCOLORS, palet);
	.debug	# 84
	ld	hl,_palet
	push	hl
	ld	hl,0x10
	push	hl
	call	_get_palet
	pop	hl
	pop	hl
;85 	for(j = 0; j < NCOLORS; j++)
	.debug	# 85
	subw	hl,hl
	ld	(ix-2),hl
@30:	ld	hl,(ix-2)
	ld	de,0x10
	call	__icmp##
	jp	nc,@31 
;86 	{
;87 	    if(palet[j].r > 16) palet[j].r -= 16;
@33:	.debug	< @33 @34
	.debug	# 87
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	ld	a,(hl)
	cp	16
	jr	 c,@35 
	jr	 z,@35 
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	push	hl
	ld	a,(hl)
	add	a,240
	pop	hl
	ld	(hl),a
;88 	    else palet[j].r = 0;
	jr	   @36 
@35:	.debug	# 88
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	xor	a
	ld	(hl),a
;89 	    if(palet[j].g > 16) palet[j].g -= 16;
@36:	.debug	# 89
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	ld	a,(hl)
	cp	16
	jr	 c,@37 
	jr	 z,@37 
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	push	hl
	ld	a,(hl)
	add	a,240
	pop	hl
	ld	(hl),a
;90 	    else palet[j].g = 0;
	jr	   @38 
@37:	.debug	# 90
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	xor	a
	ld	(hl),a
;91 	    if(palet[j].b > 16) palet[j].b -= 16;
@38:	.debug	# 91
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	inc	hl
	ld	a,(hl)
	cp	16
	jr	 c,@39 
	jr	 z,@39 
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	inc	hl
	push	hl
	ld	a,(hl)
	add	a,240
	pop	hl
	ld	(hl),a
;92 	    else palet[j].b = 0;
	jr	   @40 
@39:	.debug	# 92
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	inc	hl
	xor	a
	ld	(hl),a
;93 	    if(palet[j].i > 16) palet[j].i -= 16;
@40:	.debug	# 93
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	inc	hl
	inc	hl
	ld	a,(hl)
	cp	16
	jr	 c,@41 
	jr	 z,@41 
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	inc	hl
	inc	hl
	push	hl
	ld	a,(hl)
	add	a,240
	pop	hl
	ld	(hl),a
;94 	    else palet[j].i = 0;
	jr	   @42 
@41:	.debug	# 94
	ld	hl,(ix-2)
	add	hl,hl
	add	hl,hl
	ld	de,_palet
	add	hl,de
	inc	hl
	inc	hl
	inc	hl
	xor	a
	ld	(hl),a
;95 	}
@42:
@34:	.debug	>
;96 	set_palet(NCOLORS, 0, palet);
@32:	ld	hl,(ix-2)
	inc	hl
	ld	(ix-2),hl
	jp	   @30 
@31:	.debug	# 96
	ld	hl,_palet
	push	hl
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	ld	de,0x10
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_set_palet
	lda	hl,(sp+10)
	ld	sp,hl
;97     }
@29:	.debug	>
;98     clear_page(BLACK);
@27:	ld	hl,(ix-4)
	inc	hl
	ld	(ix-4),hl
	jp	   @25 
@26:	.debug	# 98
	ld	de,0
	ld	c,d
	ld	b,d
	push	bc
	push	de
	call	_clear_page
	pop	hl
	pop	hl
;99 }
@7:	.debug	} @7 99

@6	equ	6
	ld	sp,ix
	pop	ix
	ret
;100 
	.bseg
_palet:	.ds	64
	.debug	F _palet 35 0
_s::	.ds	129
	.debug	G _s 37 0
_penh::	.ds	2
	.debug	G _penh 4 0
_penw::	.ds	2
	.debug	G _penw 4 0
_patn::	.ds	2
	.debug	G _patn 4 0
_y::	.ds	2
	.debug	G _y 4 0
_x::	.ds	2
	.debug	G _x 4 0
_vres::	.ds	2
	.debug	G _vres 4 0
_hres::	.ds	2
	.debug	G _hres 4 0
_fontinfo::	.ds	58
	.debug	G _fontinfo 38 0
_cfg::	.ds	90
	.debug	G _cfg 39 0
	.extern	_delay 40
	.extern	_set_hard_patn 40
	.extern	_set_pensize 41
	.extern	_set_palet_entry 42
	.extern	_set_palet 43
	.extern	_set_config 44
	.extern	_set_colors 45
	.extern	_pen_point 41
	.extern	_patnpen_point 41
	.extern	_get_palet 46
	.extern	_get_config 47
	.extern	_draw_point 41
	.extern	_clear_screen 48
	.extern	_clear_page 48
	.extern	_gm_init 49
	.extern	_ReadUser 50
	.extern	_rand 51
	.extern	_exit 52
	.extern	_printf 53
	.debug	T	0B000220000100010021000000
	.debug	T	070000210002000300
	.debug	T	0B000222000100010001000000
	.debug	T	0900012300400024001000
	.debug	T	250003240004000400010003000000027200030001000267000300
	.debug	T	020002620003000300026900
	.debug	T	0900012500810003008100
	.debug	T	B5000326003A000E0001003600000009666163656E616D65000400
	.debug	T	1E00066465666C740004002000066669727374000400220005
	.debug	T	6C6173740004002400086D6178776964650004002600086176
	.debug	T	67776964650004002800086D61786B65726E0004002A000963
	.debug	T	686172776964650004002C000963686172686967680004002E
	.debug	T	0007617363656E7400040030000864657363656E7400040032
	.debug	T	00086C656164696E67000900340008666F6E74707472000400
	.debug	T	380003696400
	.debug	T	2C010327005A0010000100050000000F76657273696F6E5F6E756D
	.debug	T	62657200090002000F636F6D6D5F627566665F73697A650009
	.debug	T	0006000A7379735F666C6167730009000A000B646576696365
	.debug	T	5F7265760005000E000A6E756D5F6D6F64657300050010000D
	.debug	T	63757272656E745F6D6F646500090012001270726F6772616D
	.debug	T	5F6D656D5F737461727400090016001070726F6772616D5F6D
	.debug	T	656D5F656E640009001A0012646973706C61795F6D656D5F73
	.debug	T	746172740009001E0010646973706C61795F6D656D5F656E64
	.debug	T	00090022000B737461636B5F73697A65000900260010736861
	.debug	T	7265645F6D656D5F73697A650037002A00117368617265645F
	.debug	T	686F73745F616464720005002C00046761700009002E001073
	.debug	T	68617265645F6773705F616464720038003200056D6F646500
	.debug	T	0B000228000100010004000000
	.debug	T	0F00022900020001000400000004000200
	.debug	T	1B00022A0005000400080000000300040003000600030008000300
	.debug	T	0A00
	.debug	T	1300022B0003000100080000000800040039000800
	.debug	T	0F00022C00020004000400000004000200
	.debug	T	0F00022D00020001000900000009000400
	.debug	T	0F00022E00020001000400000039000200
	.debug	T	0B00022F00010001003A000000
	.debug	T	0B000230000100010009000000
	.debug	T	0B000231000100040001000000
	.debug	T	0B000232000100030001000000
	.debug	T	0B000233000100060001000000
	.debug	T	0B000234000100010006000000
	.debug	T	0F0002350002000600210000000D000000
	.debug	T	09000136001E0003001E00
	.debug	T	070000370002000100
	.debug	T	0C0103380028000F000100090000000B646973705F706974636800
	.debug	T	050004000A646973705F7672657300050006000A646973705F
	.debug	T	6872657300040008000C73637265656E5F776964650004000A
	.debug	T	000C73637265656E5F686967680005000C000B646973705F70
	.debug	T	73697A650009000E000B706978656C5F6D61736B0005001200
	.debug	T	1070616C65745F67756E5F646570746800090014000B70616C
	.debug	T	65745F73697A6500040018000C70616C65745F696E73657400
	.debug	T	05001A000A6E756D5F70616765730004001C00126E756D5F6F
	.debug	T	66667363726E5F61726561730009001E000A776B73705F6164
	.debug	T	647200090022000B776B73705F706974636800050026001373
	.debug	T	696C69636F6E5F6361706162696C69747900
	.debug	T	070000390002002400
	.debug	T	0700003A0002002700
	.defseg	CONST
	.seg	CONST
@1:
	.db	"[ Error: ",0,"Unexpected EOF",0,"%s",0
	.db	" ]",10,0,"No Response from GDP",0,"In"
	.db	"valid graphics mode number",0
	.end
